package cn.leancloud.callback;

import cn.leancloud.AVException;
import cn.leancloud.AVObject;
import java.util.List;
import java.util.Map;

public abstract class FollowersAndFolloweesCallback<T extends AVObject> extends AVCallback<Map<String, List<T>>> {
    public abstract void done(Map<String, List<T>> map, AVException aVException);

    /* access modifiers changed from: protected */
    @Override // cn.leancloud.callback.AVCallback
    public /* bridge */ /* synthetic */ void internalDone0(Object obj, AVException aVException) {
        internalDone0((Map) ((Map) obj), aVException);
    }

    /* access modifiers changed from: protected */
    public final void internalDone0(Map<String, List<T>> map, AVException aVException) {
        done(map, aVException);
    }
}
