package cn.leancloud.network;

import cn.leancloud.network.NetworkingDetector;
import java.net.InterfaceAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.regex.Pattern;

public class SimpleNetworkingDetector implements NetworkingDetector {
    private static final String eth0Pattern = "[0-9]+\\.[0-9]+\\.[0-9]+\\.[0-9]+";

    @Override // cn.leancloud.network.NetworkingDetector
    public boolean isConnected() {
        boolean z;
        try {
            Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
            while (networkInterfaces.hasMoreElements()) {
                NetworkInterface nextElement = networkInterfaces.nextElement();
                Iterator<InterfaceAddress> it = nextElement.getInterfaceAddresses().iterator();
                while (true) {
                    if (!it.hasNext()) {
                        break;
                    }
                    InterfaceAddress next = it.next();
                    if (!"127.0.0.1".equalsIgnoreCase(next.getAddress().getHostAddress())) {
                        if (Pattern.matches(eth0Pattern, next.getAddress().getHostAddress())) {
                            z = true;
                            continue;
                            break;
                        }
                    } else {
                        break;
                    }
                }
                z = false;
                continue;
                if (z) {
                    return nextElement.isUp();
                }
            }
            return false;
        } catch (SocketException unused) {
            return false;
        }
    }

    @Override // cn.leancloud.network.NetworkingDetector
    public NetworkingDetector.NetworkType getNetworkType() {
        return NetworkingDetector.NetworkType.WIFI;
    }
}
