package cn.leancloud.query;

import cn.leancloud.AVObject;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.parser.Feature;
import java.util.List;

public class AVQueryResult {
    @JSONField(name = AVObject.KEY_CLASSNAME)
    private String className = "";
    @JSONField(name = "count")
    private int count = 0;
    @JSONField(name = "results")
    private List<AVObject> results = null;

    public List<AVObject> getResults() {
        return this.results;
    }

    public void setResults(List<AVObject> list) {
        this.results = list;
    }

    public int getCount() {
        return this.count;
    }

    public void setCount(int i) {
        this.count = i;
    }

    public String getClassName() {
        return this.className;
    }

    public void setClassName(String str) {
        this.className = str;
    }

    public String toString() {
        return "{\"count\":" + this.count + ", \"results\":" + this.results + "}";
    }

    public String toJSONString() {
        return JSON.toJSONString(this);
    }

    public static AVQueryResult fromJSONString(String str) {
        return (AVQueryResult) JSON.parseObject(str, AVQueryResult.class, Feature.SupportAutoType);
    }
}
