package com.jiazheng.app.ui.adapter;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.module.LoadMoreModule;
import com.chad.library.adapter.base.viewholder.BaseDataBindingHolder;
import com.jiazheng.app.entity.WeightEntity;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ItemWeightBinding;

public class WeightAdapter extends BaseQuickAdapter<WeightEntity, BaseDataBindingHolder<ItemWeightBinding>> implements LoadMoreModule {
    public WeightAdapter() {
        super(R.layout.item_weight);
    }

    /* access modifiers changed from: protected */
    public void convert(BaseDataBindingHolder<ItemWeightBinding> baseDataBindingHolder, WeightEntity weightEntity) {
        ItemWeightBinding dataBinding;
        if (weightEntity != null && (dataBinding = baseDataBindingHolder.getDataBinding()) != null) {
            dataBinding.setItem(weightEntity);
            dataBinding.executePendingBindings();
        }
    }
}
