package com.jiazheng.app.ui.fragment;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.TextView;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.dialog.LianxikefuDialog;
import com.jiazheng.app.ui.activity.FeedbackActivity;
import com.jiazheng.app.ui.activity.HelpActivity;
import com.jiazheng.app.ui.activity.MyAddressActivity;
import com.jiazheng.app.ui.activity.SettingActivity;
import com.jiazheng.app.ui.base.BaseFragment;
import com.jiazheng.app.utils.PreferenceUtil;
import com.panda.basework.activity.AboutmeActivity;
import com.panda.basework.activity.CancleActvity;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.FragmentMinePageBinding;
import java.util.Objects;

public class MineFragment extends BaseFragment<NormalViewModel, FragmentMinePageBinding> {
    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public int getContentViewId() {
        return R.layout.fragment_mine_page;
    }

    public static MineFragment newInstance() {
        return new MineFragment();
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public void setListener() {
        ((FragmentMinePageBinding) this.dataBinding).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public void processLogic(Bundle bundle) {
        String str = (String) PreferenceUtil.get("token", "");
        if (!TextUtils.isEmpty(str)) {
            Objects.requireNonNull(str);
            if (str.length() > 4) {
                TextView textView = ((FragmentMinePageBinding) this.dataBinding).tvUserName;
                textView.setText("用户:" + str.substring(str.length() - 4, str.length()));
                return;
            }
        }
        TextView textView2 = ((FragmentMinePageBinding) this.dataBinding).tvUserName;
        textView2.setText("用户:" + str);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.btn1) {
            startActivity(new Intent(getActivity(), MyAddressActivity.class));
        } else if (id == R.id.btn2) {
            startActivity(new Intent(getActivity(), HelpActivity.class));
        } else if (id == R.id.btn3) {
            LianxikefuDialog lianxikefuDialog = new LianxikefuDialog();
            lianxikefuDialog.OkCallback(new LianxikefuDialog.OkCallback() {
                /* class com.jiazheng.app.ui.fragment.MineFragment.AnonymousClass1 */

                @Override // com.jiazheng.app.dialog.LianxikefuDialog.OkCallback
                public void OkClicked(String str) {
                    Intent intent = new Intent("android.intent.action.DIAL");
                    intent.setData(Uri.parse("tel:" + str));
                    MineFragment.this.startActivity(intent);
                }
            });
            lianxikefuDialog.show(getParentFragmentManager(), "aa");
        } else if (id == R.id.btn4) {
            startActivity(new Intent(getActivity(), FeedbackActivity.class));
        } else if (id == R.id.btn5) {
            startActivity(new Intent(getActivity(), SettingActivity.class));
        } else if (id == R.id.btn6) {
            startActivity(new Intent(getActivity(), AboutmeActivity.class));
        } else if (id == R.id.btn7) {
            startActivity(new Intent(getActivity(), CancleActvity.class));
        }
    }
}
