package com.panda.basework.utils;

import android.content.Context;

public class SharePreferencesUtil {
    private static final String MAIN_INIT_VALUE = "sports";

    public static void addString(Context context, String str, String str2) {
        context.getSharedPreferences(MAIN_INIT_VALUE, 0).edit().putString(str, str2).apply();
    }

    public static String getString(Context context, String str, String str2) {
        return context.getSharedPreferences(MAIN_INIT_VALUE, 0).getString(str, str2);
    }

    public static boolean getBoolean(Context context, String str, boolean z) {
        return context.getSharedPreferences(MAIN_INIT_VALUE, 0).getBoolean(str, z);
    }

    public static void addBoolean(Context context, String str, boolean z) {
        context.getSharedPreferences(MAIN_INIT_VALUE, 0).edit().putBoolean(str, z).apply();
    }

    public static void addInteger(Context context, String str, int i) {
        context.getSharedPreferences(MAIN_INIT_VALUE, 0).edit().putInt(str, i).apply();
    }

    public static int getInteger(Context context, String str, int i) {
        return context.getSharedPreferences(MAIN_INIT_VALUE, 0).getInt(str, i);
    }

    public static void deleteData(Context context) {
        context.getSharedPreferences(MAIN_INIT_VALUE, 0).edit().clear().apply();
    }
}
