package com.umeng.analytics;

import android.content.Context;
import android.text.TextUtils;
import com.alibaba.fastjson.asm.Opcodes;
import com.umeng.analytics.pro.h;
import com.umeng.commonsdk.UMConfigure;
import com.umeng.commonsdk.debug.UMLog;
import com.umeng.commonsdk.statistics.common.MLog;
import java.util.HashMap;
import java.util.Map;
import javax.microedition.khronos.opengles.GL10;

public class MobclickAgent {
    private static final String NULL_MAP = "input map is null";

    public static void enableEncrypt(boolean z) {
    }

    public static void setCheckDevice(boolean z) {
    }

    public static void setDebugMode(boolean z) {
    }

    public static void setLatencyWindow(long j) {
    }

    private static void init(Context context) {
        b.a().a(context);
    }

    public static void setLocation(double d, double d2) {
        b.a().a(d, d2);
    }

    public static void setCatchUncaughtExceptions(boolean z) {
        b.a().a(z);
    }

    public static void setSecret(Context context, String str) {
        b.a().c(context, str);
    }

    public static void setScenarioType(Context context, EScenarioType eScenarioType) {
        b.a().a(context, eScenarioType);
    }

    public static void setSessionContinueMillis(long j) {
        b.a().a(j);
    }

    public static b getAgent() {
        return b.a();
    }

    public static void setOpenGLContext(GL10 gl10) {
        b.a().a(gl10);
    }

    public static void openActivityDurationTrack(boolean z) {
        b.a().b(z);
    }

    public static void onPageStart(String str) {
        if (!TextUtils.isEmpty(str)) {
            b.a().a(str);
            return;
        }
        MLog.e("pageName is null or empty");
        UMLog uMLog = UMConfigure.umDebugLog;
        UMLog.aq(h.C, 0, "\\|");
    }

    public static void onPageEnd(String str) {
        if (!TextUtils.isEmpty(str)) {
            b.a().b(str);
            return;
        }
        MLog.e("pageName is null or empty");
        UMLog uMLog = UMConfigure.umDebugLog;
        UMLog.aq(h.D, 0, "\\|");
    }

    public static void onPause(Context context) {
        b.a().c(context);
    }

    public static void onResume(Context context) {
        if (context == null) {
            MLog.e("unexpected null context in onResume");
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.n, 0, "\\|");
            return;
        }
        b.a().b(context);
    }

    public static void reportError(Context context, String str) {
        b.a().a(context, str);
    }

    public static void reportError(Context context, Throwable th) {
        b.a().a(context, th);
    }

    public static void onEvent(Context context, String str) {
        b.a().a(context, str, null, -1, 1);
    }

    public static void onEvent(Context context, String str, String str2) {
        if (TextUtils.isEmpty(str2)) {
            MLog.w("label is null or empty");
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.k, 0, "\\|");
            return;
        }
        b.a().a(context, str, str2, -1, 1);
    }

    public static void onEvent(Context context, String str, Map<String, String> map) {
        if (map == null) {
            MLog.e(NULL_MAP);
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.a, 0, "\\|");
            return;
        }
        b.a().a(context, str, new HashMap(map), -1);
    }

    public static void onEventValue(Context context, String str, Map<String, String> map, int i) {
        HashMap hashMap;
        if (map == null) {
            hashMap = new HashMap();
        } else {
            hashMap = new HashMap(map);
        }
        hashMap.put("__ct__", Integer.valueOf(i));
        b.a().a(context, str, hashMap, -1);
    }

    public static void onKillProcess(Context context) {
        b.a().d(context);
    }

    public static void onDeepLinkReceived(Context context, String str) {
        b.a().b(context, str);
    }

    public static void onProfileSignIn(String str) {
        onProfileSignIn("_adhoc", str);
    }

    public static void onProfileSignIn(String str, String str2) {
        if (TextUtils.isEmpty(str2)) {
            MLog.w("uid is null");
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.t, 0, "\\|");
        } else if (str2.length() > 64) {
            UMLog uMLog2 = UMConfigure.umDebugLog;
            UMLog.aq(h.u, 0, "\\|");
            MLog.w("uid is Illegal(length bigger then  legitimate length).");
        } else if (TextUtils.isEmpty(str)) {
            b.a().a("_adhoc", str2);
        } else if (str.length() > 32) {
            MLog.w("provider is Illegal(length bigger then  legitimate length).");
            UMLog uMLog3 = UMConfigure.umDebugLog;
            UMLog.aq(h.v, 0, "\\|");
        } else {
            b.a().a(str, str2);
        }
    }

    public static void onProfileSignOff() {
        b.a().h();
    }

    public enum EScenarioType {
        E_UM_NORMAL(0),
        E_UM_GAME(1),
        E_DUM_NORMAL(Opcodes.IF_ICMPNE),
        E_DUM_GAME(Opcodes.IF_ICMPLT);
        
        private int a;

        private EScenarioType(int i) {
            this.a = i;
        }

        public int toValue() {
            return this.a;
        }
    }
}
