package com.umeng.analytics.pro;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.umeng.analytics.AnalyticsConfig;
import com.umeng.analytics.MobclickAgent;
import com.umeng.commonsdk.UMConfigure;
import com.umeng.commonsdk.debug.UMLog;
import com.umeng.commonsdk.debug.UMRTLog;
import com.umeng.commonsdk.framework.UMEnvelopeBuild;
import com.umeng.commonsdk.framework.UMLogDataProtocol;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.HelperUtils;
import com.umeng.commonsdk.statistics.common.MLog;
import com.umeng.commonsdk.statistics.common.ReportPolicy;
import com.umeng.commonsdk.statistics.internal.PreferenceWrapper;
import com.umeng.commonsdk.statistics.internal.StatTracer;
import com.umeng.commonsdk.statistics.noise.ABTest;
import com.umeng.commonsdk.statistics.noise.Defcon;
import com.umeng.commonsdk.statistics.noise.ImLatent;
import java.lang.reflect.Method;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.Date;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONObject;

/* compiled from: CoreProtocolImpl */
public class j {
    private static boolean A = false;
    private static final String B = "n_sess_dp";
    private static final String C = "n_sess_dp_type";
    private static Context a = null;
    private static final String q = "first_activate_time";
    private static final String r = "ana_is_f";
    private static final String s = "thtstart";
    private static final String t = "dstk_last_time";
    private static final String u = "dstk_cnt";
    private static final String v = "gkvc";
    private static final String w = "ekvc";
    private static final String y = "-1";
    private static boolean z = false;
    private ABTest b;
    private ImLatent c;
    private c d;
    private SharedPreferences e;
    private String f;
    private String g;
    private String h;
    private String i;
    private long j;
    private int k;
    private JSONArray l;
    private final int m;
    private int n;
    private int o;
    private long p;
    private final long x;

    /* compiled from: CoreProtocolImpl */
    public static class a {
        public static final int a = 4097;
        public static final int b = 4098;
        public static final int c = 4099;
        public static final int d = 4100;
        public static final int e = 4101;
        public static final int f = 4102;
        public static final int g = 4103;
        public static final int h = 4104;
        public static final int i = 4105;
        public static final int j = 4106;
        public static final int k = 8193;
        public static final int l = 8194;
        public static final int m = 8195;
        public static final int n = 8196;
        public static final int o = 8197;
        public static final int p = 8198;
        public static final int q = 8199;
        public static final int r = 8200;
        public static final int s = 8201;
        public static final int t = 8202;
    }

    private j() {
        this.b = null;
        this.c = null;
        this.d = null;
        this.e = null;
        this.f = null;
        this.g = null;
        this.h = null;
        this.i = null;
        this.j = 0;
        this.k = 10;
        this.l = new JSONArray();
        this.m = 5000;
        this.n = 0;
        this.o = 0;
        this.p = 0;
        this.x = 28800000;
        try {
            SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(a);
            this.p = sharedPreferences.getLong(s, 0);
            this.n = sharedPreferences.getInt(v, 0);
            this.o = sharedPreferences.getInt(w, 0);
            this.d = new c();
            this.b = ABTest.getService(a);
            Context context = a;
            this.c = ImLatent.getService(context, StatTracer.getInstance(context));
        } catch (Throwable unused) {
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: CoreProtocolImpl */
    public static class b {
        private static final j a = new j();

        private b() {
        }
    }

    public static j a(Context context) {
        if (a == null && context != null) {
            a = context.getApplicationContext();
        }
        return b.a;
    }

    public void a(Object obj, int i2) {
        switch (i2) {
            case 4097:
                if (obj != null) {
                    d(obj);
                }
                if (!y.equals(((JSONObject) obj).optString("__i"))) {
                    a(false);
                    return;
                }
                return;
            case 4098:
                if (obj != null) {
                    try {
                        d(obj);
                    } catch (Throwable unused) {
                        return;
                    }
                }
                if (!y.equals(((JSONObject) obj).optString("__i"))) {
                    a(false);
                    return;
                }
                return;
            case 4099:
                q.a(a);
                return;
            case a.d /*{ENCODED_INT: 4100}*/:
                i.a(a);
                return;
            case a.e /*{ENCODED_INT: 4101}*/:
                e(obj);
                return;
            case a.f /*{ENCODED_INT: 4102}*/:
                q();
                return;
            case a.g /*{ENCODED_INT: 4103}*/:
                p.a().a(a, obj);
                return;
            case a.h /*{ENCODED_INT: 4104}*/:
                p.a().b(a, obj);
                return;
            case a.i /*{ENCODED_INT: 4105}*/:
                a();
                return;
            case a.j /*{ENCODED_INT: 4106}*/:
                f(obj);
                return;
            default:
                switch (i2) {
                    case a.k /*{ENCODED_INT: 8193}*/:
                        a(obj, 1, false);
                        return;
                    case 8194:
                        n.a(a).a(obj);
                        return;
                    case a.m /*{ENCODED_INT: 8195}*/:
                        com.umeng.analytics.b.a().a(obj);
                        return;
                    case a.n /*{ENCODED_INT: 8196}*/:
                        com.umeng.analytics.b.a().k();
                        return;
                    case a.o /*{ENCODED_INT: 8197}*/:
                        com.umeng.analytics.b.a().i();
                        return;
                    case a.p /*{ENCODED_INT: 8198}*/:
                        if (!TextUtils.isEmpty(p.a().c())) {
                            g();
                            return;
                        }
                        return;
                    case a.q /*{ENCODED_INT: 8199}*/:
                    case a.r /*{ENCODED_INT: 8200}*/:
                        com.umeng.analytics.b.a().b(obj);
                        return;
                    case a.s /*{ENCODED_INT: 8201}*/:
                        com.umeng.analytics.b.a().b((Object) null);
                        return;
                    case a.t /*{ENCODED_INT: 8202}*/:
                        f();
                        return;
                    default:
                        return;
                }
        }
    }

    private void f() {
        try {
            Class.forName("com.umeng.analytics.vismode.event.VisualHelper").getMethod("loadNativeData", Context.class).invoke(null, a);
        } catch (Exception unused) {
        }
    }

    private void g() {
        try {
            Method method = Class.forName("com.umeng.analytics.vismode.event.VisualHelper").getMethod("processCommond", Context.class, String.class);
            Context context = a;
            method.invoke(null, context, AnalyticsConfig.getAppkey(context));
        } catch (Exception unused) {
        }
    }

    public void a(Object obj, int i2, boolean z2) {
        JSONArray jSONArray;
        int i3;
        try {
            JSONObject jSONObject = (JSONObject) obj;
            if (jSONObject != null && jSONObject.length() > 0) {
                String optString = jSONObject.optString("__ii");
                SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(a);
                int i4 = 1;
                if (i2 == 0) {
                    long j2 = sharedPreferences.getLong(t, 0);
                    int i5 = sharedPreferences.getInt(u, 0);
                    if (a(j2, i5)) {
                        sharedPreferences.edit().putLong(t, System.currentTimeMillis()).putInt(u, i5 == 5000 ? 0 : i5 + 1).commit();
                    } else {
                        return;
                    }
                }
                String string = sharedPreferences.getString(B, "");
                if (TextUtils.isEmpty(string)) {
                    jSONArray = new JSONArray();
                } else {
                    jSONArray = new JSONArray(string);
                }
                JSONObject j3 = com.umeng.analytics.b.a().j();
                if (y.equals(optString)) {
                    jSONObject.put(C, i2);
                    if (!jSONObject.has(b.ab) && j3.length() > 0) {
                        jSONObject.put(b.ab, j3);
                    }
                    jSONArray.put(jSONObject);
                    sharedPreferences.edit().putString(B, jSONArray.toString()).commit();
                    return;
                }
                if (i2 != 3 && jSONArray.length() > 0) {
                    int i6 = 0;
                    while (i6 < jSONArray.length()) {
                        JSONObject jSONObject2 = jSONArray.getJSONObject(i6);
                        if (jSONObject2 == null || jSONObject2.length() <= 0) {
                            i3 = i6;
                        } else {
                            int i7 = jSONObject2.getInt(C);
                            if (!jSONObject2.has(b.ab) && j3.length() > 0) {
                                jSONObject2.put(b.ab, j3);
                            }
                            if (i7 == 0) {
                                i3 = i6;
                                jSONObject2.put("_$!ts", System.currentTimeMillis());
                            } else if (i7 != i4) {
                                i3 = i6;
                            } else {
                                i3 = i6;
                                jSONObject2.put("_$!ts", System.currentTimeMillis());
                            }
                            jSONObject2.put("__ii", optString);
                            jSONObject2.remove(C);
                            g.a(a).a(jSONObject2, i7);
                        }
                        i6 = i3 + 1;
                        i4 = 1;
                    }
                    com.umeng.analytics.b.a().c();
                    sharedPreferences.edit().remove(B).commit();
                }
                g.a(a).a(jSONObject, i2);
                if (z2) {
                    c(true);
                } else if (UMEnvelopeBuild.isReadyBuild(a, UMLogDataProtocol.UMBusinessType.U_DPLUS)) {
                    Defcon service = Defcon.getService(a);
                    if (!service.isOpen()) {
                        c(true);
                    } else if (new ReportPolicy.DefconPolicy(StatTracer.getInstance(a), service).shouldSendMessage(false)) {
                        c(true);
                    }
                }
            }
        } catch (Throwable unused) {
        }
    }

    public void a(boolean z2) {
        if (e(z2) && UMEnvelopeBuild.isReadyBuild(a, UMLogDataProtocol.UMBusinessType.U_APP)) {
            c(false);
        }
    }

    private void c(boolean z2) {
        JSONObject buildEnvelopeWithExtHeader;
        JSONObject jSONObject = new JSONObject();
        if (!z2) {
            jSONObject = a(UMEnvelopeBuild.maxDataSpace(a));
        } else if (AnalyticsConfig.FLAG_DPLUS) {
            jSONObject = b(UMEnvelopeBuild.maxDataSpace(a));
        }
        if (jSONObject != null && jSONObject.length() >= 1) {
            JSONObject jSONObject2 = (JSONObject) jSONObject.opt("header");
            JSONObject jSONObject3 = (JSONObject) jSONObject.opt(b.W);
            Context context = a;
            if (context != null && jSONObject2 != null && jSONObject3 != null && (buildEnvelopeWithExtHeader = UMEnvelopeBuild.buildEnvelopeWithExtHeader(context, jSONObject2, jSONObject3)) != null) {
                try {
                    if (buildEnvelopeWithExtHeader.has(b.ao)) {
                        UMRTLog.i(UMRTLog.RTLOG_TAG, "Build envelope error code: " + buildEnvelopeWithExtHeader.getInt(b.ao));
                    }
                } catch (Throwable unused) {
                }
                b(buildEnvelopeWithExtHeader);
                a((Object) buildEnvelopeWithExtHeader);
            }
        }
    }

    public JSONObject a(long j2) {
        if (TextUtils.isEmpty(p.a().c(a))) {
            return null;
        }
        JSONObject b2 = b(false);
        int a2 = m.a().a(a);
        if (b2.length() <= 0) {
            return null;
        }
        if (b2.length() == 1) {
            if (b2.optJSONObject(b.G) != null && a2 != 3) {
                return null;
            }
            if (!TextUtils.isEmpty(b2.optString("userlevel")) && a2 != 3) {
                return null;
            }
        } else if (b2.length() == 2 && b2.optJSONObject(b.G) != null && !TextUtils.isEmpty(b2.optString("userlevel")) && a2 != 3) {
            return null;
        }
        JSONObject d2 = d(false);
        JSONObject jSONObject = new JSONObject();
        try {
            JSONObject jSONObject2 = new JSONObject();
            if (a2 == 3) {
                jSONObject2.put("analytics", new JSONObject());
            } else if (b2 != null && b2.length() > 0) {
                jSONObject2.put("analytics", b2);
            }
            if (d2 != null && d2.length() > 0) {
                jSONObject.put("header", d2);
            }
            if (jSONObject2.length() > 0) {
                jSONObject.put(b.W, jSONObject2);
            }
            return a(jSONObject, j2);
        } catch (Throwable unused) {
            return jSONObject;
        }
    }

    public JSONObject b(long j2) {
        if (!AnalyticsConfig.FLAG_DPLUS || TextUtils.isEmpty(p.a().c(a))) {
            return null;
        }
        JSONObject jSONObject = new JSONObject();
        if (AnalyticsConfig.FLAG_DPLUS) {
            jSONObject = g.a(a).c();
            m.a().a(jSONObject, a);
            Defcon service = Defcon.getService(a);
            if (service.isOpen() && !new ReportPolicy.DefconPolicy(StatTracer.getInstance(a), service).shouldSendMessage(false)) {
                jSONObject = new JSONObject();
            }
        }
        if (jSONObject.length() <= 0) {
            return null;
        }
        JSONObject d2 = d(true);
        JSONObject jSONObject2 = new JSONObject();
        try {
            JSONObject jSONObject3 = new JSONObject();
            if (jSONObject != null && jSONObject.length() > 0) {
                jSONObject3.put("dplus", jSONObject);
            }
            if (d2 != null && d2.length() > 0) {
                jSONObject2.put("header", d2);
            }
            if (jSONObject3.length() > 0) {
                jSONObject2.put(b.W, jSONObject3);
            }
            return a(jSONObject2, j2);
        } catch (Throwable unused) {
            return jSONObject2;
        }
    }

    private JSONObject a(JSONObject jSONObject, long j2) {
        try {
            if (l.a(jSONObject) <= j2) {
                return jSONObject;
            }
            JSONObject jSONObject2 = jSONObject.getJSONObject("header");
            jSONObject2.put(b.an, l.a(jSONObject));
            jSONObject.put("header", jSONObject2);
            return l.a(a, j2, jSONObject);
        } catch (Throwable unused) {
            return jSONObject;
        }
    }

    private JSONObject d(boolean z2) {
        JSONObject jSONObject = new JSONObject();
        try {
            if (!(AnalyticsConfig.mWrapperType == null || AnalyticsConfig.mWrapperVersion == null)) {
                jSONObject.put("wrapper_version", AnalyticsConfig.mWrapperVersion);
                jSONObject.put("wrapper_type", AnalyticsConfig.mWrapperType);
            }
            int verticalType = AnalyticsConfig.getVerticalType(a);
            if (verticalType == MobclickAgent.EScenarioType.E_DUM_NORMAL.toValue()) {
                AnalyticsConfig.FLAG_DPLUS = true;
                verticalType = MobclickAgent.EScenarioType.E_UM_NORMAL.toValue();
            } else if (verticalType == MobclickAgent.EScenarioType.E_DUM_GAME.toValue()) {
                AnalyticsConfig.FLAG_DPLUS = true;
                verticalType = MobclickAgent.EScenarioType.E_UM_GAME.toValue();
            } else {
                AnalyticsConfig.FLAG_DPLUS = false;
            }
            jSONObject.put(b.i, verticalType);
            jSONObject.put("sdk_version", r.a);
            String MD5 = HelperUtils.MD5(AnalyticsConfig.getSecretKey(a));
            if (!TextUtils.isEmpty(MD5)) {
                jSONObject.put("secret", MD5);
            }
            String imprintProperty = UMEnvelopeBuild.imprintProperty(a, "pr_ve", null);
            SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(a);
            if (z2) {
                jSONObject.put(b.l, j());
                jSONObject.put(b.m, k());
                if (sharedPreferences != null) {
                    String string = sharedPreferences.getString("dp_vers_name", "");
                    if (!TextUtils.isEmpty(string)) {
                        jSONObject.put("app_version", string);
                        jSONObject.put("version_code", sharedPreferences.getInt("dp_vers_code", 0));
                        String format = new SimpleDateFormat("yyyy-MM-dd", Locale.getDefault()).format(new Date(System.currentTimeMillis()));
                        if (TextUtils.isEmpty(imprintProperty)) {
                            jSONObject.put(b.l, sharedPreferences.getString("dp_vers_pre_version", "0"));
                            jSONObject.put(b.m, sharedPreferences.getString("dp_vers_date", format));
                        }
                        sharedPreferences.edit().putString("dp_pre_version", string).putString("dp_cur_version", DeviceConfig.getAppVersionName(a)).putString("dp_pre_date", format).remove("dp_vers_name").remove("dp_vers_code").remove("dp_vers_date").remove("dp_vers_pre_version").commit();
                    }
                }
            } else {
                jSONObject.put(b.l, h());
                jSONObject.put(b.m, i());
                if (sharedPreferences != null) {
                    String string2 = sharedPreferences.getString("vers_name", "");
                    if (!TextUtils.isEmpty(string2)) {
                        jSONObject.put("app_version", string2);
                        jSONObject.put("version_code", sharedPreferences.getInt("vers_code", 0));
                        String format2 = new SimpleDateFormat("yyyy-MM-dd", Locale.getDefault()).format(new Date(System.currentTimeMillis()));
                        if (TextUtils.isEmpty(imprintProperty)) {
                            jSONObject.put(b.l, sharedPreferences.getString("vers_pre_version", "0"));
                            jSONObject.put(b.m, sharedPreferences.getString("vers_date", format2));
                        }
                        sharedPreferences.edit().putString("pre_version", string2).putString("cur_version", DeviceConfig.getAppVersionName(a)).putString("pre_date", format2).remove("vers_name").remove("vers_code").remove("vers_date").remove("vers_pre_version").commit();
                    }
                }
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
        return jSONObject;
    }

    public JSONObject b(boolean z2) {
        JSONObject jSONObject = null;
        try {
            jSONObject = g.a(a).a(z2);
            if (jSONObject == null) {
                jSONObject = new JSONObject();
            }
            SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(a);
            if (sharedPreferences != null) {
                String string = sharedPreferences.getString("userlevel", "");
                if (!TextUtils.isEmpty(string)) {
                    jSONObject.put("userlevel", string);
                }
            }
            if (p()) {
                long c2 = c();
                this.j = c2;
                if (c2 != 0) {
                    JSONObject jSONObject2 = new JSONObject();
                    jSONObject2.put("ts", this.j);
                    jSONObject.put(b.D, jSONObject2);
                    sharedPreferences.edit().putLong(r, 0).commit();
                }
            }
            String[] a2 = com.umeng.analytics.c.a(a);
            if (a2 != null && !TextUtils.isEmpty(a2[0]) && !TextUtils.isEmpty(a2[1])) {
                JSONObject jSONObject3 = new JSONObject();
                jSONObject3.put(b.H, a2[0]);
                jSONObject3.put(b.I, a2[1]);
                if (jSONObject3.length() > 0) {
                    jSONObject.put(b.G, jSONObject3);
                }
            }
            if (ABTest.getService(a).isInTest()) {
                JSONObject jSONObject4 = new JSONObject();
                jSONObject4.put(ABTest.getService(a).getTestName(), ABTest.getService(a).getGroupInfo());
                jSONObject.put(b.F, jSONObject4);
            }
            m.a().b(jSONObject, a);
            if (jSONObject.length() > 0) {
                new JSONObject().put("analytics", jSONObject);
            }
        } catch (Throwable unused) {
        }
        return jSONObject;
    }

    private String h() {
        String str = null;
        try {
            str = UMEnvelopeBuild.imprintProperty(a, "pr_ve", null);
            if (TextUtils.isEmpty(str)) {
                if (!TextUtils.isEmpty(this.f)) {
                    return this.f;
                }
                if (this.e == null) {
                    this.e = PreferenceWrapper.getDefault(a);
                }
                String string = this.e.getString("pre_version", "");
                String appVersionName = DeviceConfig.getAppVersionName(a);
                if (TextUtils.isEmpty(string)) {
                    this.e.edit().putString("pre_version", "0").putString("cur_version", appVersionName).commit();
                    str = "0";
                } else {
                    String string2 = this.e.getString("cur_version", "");
                    if (!appVersionName.equals(string2)) {
                        this.e.edit().putString("pre_version", string2).putString("cur_version", appVersionName).commit();
                        str = string2;
                    } else {
                        str = string;
                    }
                }
            }
        } catch (Throwable unused) {
        }
        this.f = str;
        return str;
    }

    private String i() {
        String str = null;
        try {
            str = UMEnvelopeBuild.imprintProperty(a, "ud_da", null);
            if (TextUtils.isEmpty(str)) {
                if (!TextUtils.isEmpty(this.g)) {
                    return this.g;
                }
                if (this.e == null) {
                    this.e = PreferenceWrapper.getDefault(a);
                }
                String string = this.e.getString("pre_date", "");
                if (TextUtils.isEmpty(string)) {
                    string = new SimpleDateFormat("yyyy-MM-dd", Locale.getDefault()).format(new Date(System.currentTimeMillis()));
                    this.e.edit().putString("pre_date", string).commit();
                } else {
                    String format = new SimpleDateFormat("yyyy-MM-dd", Locale.getDefault()).format(new Date(System.currentTimeMillis()));
                    if (!string.equals(format)) {
                        this.e.edit().putString("pre_date", format).commit();
                        str = format;
                    }
                }
                str = string;
            }
        } catch (Throwable unused) {
        }
        this.g = str;
        return str;
    }

    private String j() {
        String str = null;
        try {
            str = UMEnvelopeBuild.imprintProperty(a, "pr_ve", null);
            if (TextUtils.isEmpty(str)) {
                if (!TextUtils.isEmpty(this.h)) {
                    return this.h;
                }
                if (this.e == null) {
                    this.e = PreferenceWrapper.getDefault(a);
                }
                String string = this.e.getString("dp_pre_version", "");
                String appVersionName = DeviceConfig.getAppVersionName(a);
                if (TextUtils.isEmpty(string)) {
                    this.e.edit().putString("dp_pre_version", "0").putString("dp_cur_version", appVersionName).commit();
                    str = "0";
                } else {
                    String string2 = this.e.getString("dp_cur_version", "");
                    if (!appVersionName.equals(string2)) {
                        this.e.edit().putString("dp_pre_version", string2).putString("dp_cur_version", appVersionName).commit();
                        str = string2;
                    } else {
                        str = string;
                    }
                }
            }
        } catch (Throwable unused) {
        }
        this.h = str;
        return str;
    }

    private String k() {
        String str = null;
        try {
            str = UMEnvelopeBuild.imprintProperty(a, "ud_da", null);
            if (TextUtils.isEmpty(str)) {
                if (!TextUtils.isEmpty(this.i)) {
                    return this.i;
                }
                if (this.e == null) {
                    this.e = PreferenceWrapper.getDefault(a);
                }
                String string = this.e.getString("dp_pre_date", "");
                if (TextUtils.isEmpty(string)) {
                    string = new SimpleDateFormat("yyyy-MM-dd", Locale.getDefault()).format(new Date(System.currentTimeMillis()));
                    this.e.edit().putString("dp_pre_date", string).commit();
                } else {
                    String format = new SimpleDateFormat("yyyy-MM-dd", Locale.getDefault()).format(new Date(System.currentTimeMillis()));
                    if (!string.equals(format)) {
                        this.e.edit().putString("dp_pre_date", format).commit();
                        str = format;
                    }
                }
                str = string;
            }
        } catch (Throwable unused) {
        }
        this.i = str;
        return str;
    }

    public void a() {
        try {
            if (this.l.length() > 0) {
                g.a(a).a(this.l);
                this.l = new JSONArray();
            }
            PreferenceWrapper.getDefault(a).edit().putLong(s, this.p).putInt(v, this.n).putInt(w, this.o).commit();
        } catch (Throwable unused) {
        }
    }

    /* compiled from: CoreProtocolImpl */
    public static class d {
        private Map<String, Object> a = null;
        private String b = null;
        private String c = null;
        private long d = 0;

        private d() {
        }

        public d(String str, Map<String, Object> map, String str2, long j) {
            this.a = map;
            this.b = str;
            this.d = j;
            this.c = str2;
        }

        public Map<String, Object> a() {
            return this.a;
        }

        public String b() {
            return this.c;
        }

        public String c() {
            return this.b;
        }

        public long d() {
            return this.d;
        }
    }

    private void d(Object obj) {
        try {
            JSONObject jSONObject = (JSONObject) obj;
            if (2050 == jSONObject.getInt("__t")) {
                if (a(this.p, this.n)) {
                    this.n++;
                } else {
                    return;
                }
            } else if (2049 == jSONObject.getInt("__t")) {
                if (a(this.p, this.o)) {
                    this.o++;
                } else {
                    return;
                }
            }
            if (this.l.length() >= this.k) {
                g.a(a).a(this.l);
                this.l = new JSONArray();
            }
            if (this.p == 0) {
                this.p = System.currentTimeMillis();
            }
            this.l.put(jSONObject);
        } catch (Throwable th) {
            MLog.e(th);
        }
    }

    private boolean a(long j2, int i2) {
        if (j2 == 0) {
            return true;
        }
        if (System.currentTimeMillis() - j2 > 28800000) {
            l();
            return true;
        } else if (i2 < 5000) {
            return true;
        } else {
            return false;
        }
    }

    private void l() {
        try {
            this.n = 0;
            this.o = 0;
            this.p = System.currentTimeMillis();
            PreferenceWrapper.getDefault(a).edit().putLong(t, System.currentTimeMillis()).putInt(u, 0).commit();
        } catch (Throwable unused) {
        }
    }

    private boolean e(boolean z2) {
        if (p()) {
            return true;
        }
        if (this.d == null) {
            this.d = new c();
        }
        this.d.a();
        ReportPolicy.ReportStrategy c2 = this.d.c();
        boolean shouldSendMessage = c2.shouldSendMessage(z2);
        if (shouldSendMessage && (((c2 instanceof ReportPolicy.ReportByInterval) || (c2 instanceof ReportPolicy.DebugPolicy)) && m())) {
            a();
        }
        return shouldSendMessage;
    }

    private boolean m() {
        try {
            if (!TextUtils.isEmpty(p.a().c())) {
                b(a);
            }
            if (this.l.length() <= 0) {
                return false;
            }
            for (int i2 = 0; i2 < this.l.length(); i2++) {
                JSONObject optJSONObject = this.l.optJSONObject(i2);
                if (optJSONObject != null && optJSONObject.length() > 0) {
                    String optString = optJSONObject.optString("__i");
                    if (TextUtils.isEmpty(optString) || y.equals(optString)) {
                        return false;
                    }
                }
            }
            return true;
        } catch (Throwable unused) {
            return true;
        }
    }

    /* compiled from: CoreProtocolImpl */
    public class c {
        private ReportPolicy.ReportStrategy b = null;
        private int c = -1;
        private int d = -1;
        private int e = -1;
        private int f = -1;

        public c() {
        }

        public void a() {
            try {
                int[] a2 = a(-1, -1);
                this.c = a2[0];
                this.d = a2[1];
            } catch (Throwable unused) {
            }
        }

        public int[] a(int i, int i2) {
            int intValue = Integer.valueOf(UMEnvelopeBuild.imprintProperty(j.a, "report_policy", j.y)).intValue();
            int intValue2 = Integer.valueOf(UMEnvelopeBuild.imprintProperty(j.a, "report_interval", j.y)).intValue();
            if (intValue == -1 || !ReportPolicy.isValid(intValue)) {
                return new int[]{i, i2};
            }
            if (intValue2 == -1 || intValue2 < 90 || intValue2 > 86400) {
                intValue2 = 90;
            }
            return new int[]{intValue, intValue2 * 1000};
        }

        public int a(int i) {
            int intValue = Integer.valueOf(UMEnvelopeBuild.imprintProperty(j.a, "test_report_interval", j.y)).intValue();
            return (intValue == -1 || intValue < 90 || intValue > 86400) ? i : intValue * 1000;
        }

        /* access modifiers changed from: protected */
        public void b() {
            int i;
            Defcon service = Defcon.getService(j.a);
            if (service.isOpen()) {
                ReportPolicy.ReportStrategy reportStrategy = this.b;
                this.b = (reportStrategy instanceof ReportPolicy.DefconPolicy) && reportStrategy.isValid() ? this.b : new ReportPolicy.DefconPolicy(StatTracer.getInstance(j.a), service);
            } else {
                boolean z = Integer.valueOf(UMEnvelopeBuild.imprintProperty(j.a, "integrated_test", j.y)).intValue() == 1;
                if (UMConfigure.isDebugLog() && z && !MLog.DEBUG) {
                    UMLog uMLog = UMConfigure.umDebugLog;
                    UMLog.mutlInfo(h.L, 3, "\\|", null, null);
                }
                if (MLog.DEBUG && z) {
                    this.b = new ReportPolicy.DebugPolicy(StatTracer.getInstance(j.a));
                } else if (!j.this.b.isInTest() || !"RPT".equals(j.this.b.getTestName())) {
                    int i2 = this.e;
                    int i3 = this.f;
                    int i4 = this.c;
                    if (i4 != -1) {
                        i3 = this.d;
                        i2 = i4;
                    }
                    this.b = b(i2, i3);
                } else {
                    if (j.this.b.getTestPolicy() == 6) {
                        if (Integer.valueOf(UMEnvelopeBuild.imprintProperty(j.a, "test_report_interval", j.y)).intValue() != -1) {
                            i = a(90000);
                        } else {
                            i = this.d;
                            if (i <= 0) {
                                i = this.f;
                            }
                        }
                    } else {
                        i = 0;
                    }
                    this.b = b(j.this.b.getTestPolicy(), i);
                }
            }
            MLog.d("Report policy : " + this.b.getClass().getSimpleName());
            UMRTLog.i(UMRTLog.RTLOG_TAG, "Report policy : " + this.b.getClass().getSimpleName());
            if (UMConfigure.isDebugLog()) {
                try {
                    ReportPolicy.ReportStrategy reportStrategy2 = this.b;
                    if (reportStrategy2 instanceof ReportPolicy.ReportAtLaunch) {
                        UMLog uMLog2 = UMConfigure.umDebugLog;
                        UMLog.mutlInfo(h.J, 3, "", null, null);
                    } else if (reportStrategy2 instanceof ReportPolicy.ReportByInterval) {
                        String[] strArr = {String.valueOf(((ReportPolicy.ReportByInterval) reportStrategy2).getReportInterval() / 1000)};
                        UMLog uMLog3 = UMConfigure.umDebugLog;
                        UMLog.mutlInfo(h.K, 3, "", new String[]{"@"}, strArr);
                    } else if (reportStrategy2 instanceof ReportPolicy.DebugPolicy) {
                        UMLog uMLog4 = UMConfigure.umDebugLog;
                        UMLog.mutlInfo(h.M, 3, "", null, null);
                    }
                } catch (Throwable unused) {
                }
            }
        }

        public ReportPolicy.ReportStrategy c() {
            b();
            return this.b;
        }

        private ReportPolicy.ReportStrategy b(int i, int i2) {
            if (i == 0) {
                ReportPolicy.ReportStrategy reportStrategy = this.b;
                return reportStrategy instanceof ReportPolicy.ReportRealtime ? reportStrategy : new ReportPolicy.ReportRealtime();
            } else if (i == 1) {
                ReportPolicy.ReportStrategy reportStrategy2 = this.b;
                return reportStrategy2 instanceof ReportPolicy.ReportAtLaunch ? reportStrategy2 : new ReportPolicy.ReportAtLaunch();
            } else if (i == 4) {
                ReportPolicy.ReportStrategy reportStrategy3 = this.b;
                if (reportStrategy3 instanceof ReportPolicy.ReportDaily) {
                    return reportStrategy3;
                }
                return new ReportPolicy.ReportDaily(StatTracer.getInstance(j.a));
            } else if (i == 5) {
                ReportPolicy.ReportStrategy reportStrategy4 = this.b;
                if (reportStrategy4 instanceof ReportPolicy.ReportWifiOnly) {
                    return reportStrategy4;
                }
                return new ReportPolicy.ReportWifiOnly(j.a);
            } else if (i == 6) {
                ReportPolicy.ReportStrategy reportStrategy5 = this.b;
                if (!(reportStrategy5 instanceof ReportPolicy.ReportByInterval)) {
                    return new ReportPolicy.ReportByInterval(StatTracer.getInstance(j.a), (long) i2);
                }
                ((ReportPolicy.ReportByInterval) reportStrategy5).setReportInterval((long) i2);
                return reportStrategy5;
            } else if (i != 8) {
                ReportPolicy.ReportStrategy reportStrategy6 = this.b;
                if (reportStrategy6 instanceof ReportPolicy.ReportAtLaunch) {
                    return reportStrategy6;
                }
                return new ReportPolicy.ReportAtLaunch();
            } else {
                ReportPolicy.ReportStrategy reportStrategy7 = this.b;
                if (reportStrategy7 instanceof ReportPolicy.SmartPolicy) {
                    return reportStrategy7;
                }
                return new ReportPolicy.SmartPolicy(StatTracer.getInstance(j.a));
            }
        }
    }

    private void b(JSONObject jSONObject) {
        String str;
        JSONObject jSONObject2;
        if (jSONObject != null) {
            try {
                if (jSONObject.length() > 0) {
                    JSONObject jSONObject3 = new JSONObject();
                    if (jSONObject.has("analytics")) {
                        JSONObject jSONObject4 = jSONObject.getJSONObject("analytics");
                        if (jSONObject4.has(b.N)) {
                            str = "version_code";
                            jSONObject3.put(b.N, jSONObject4.getJSONArray(b.N));
                        } else {
                            str = "version_code";
                        }
                        if (jSONObject4.has(b.O)) {
                            jSONObject3.put(b.O, jSONObject4.getJSONArray(b.O));
                        }
                        if (jSONObject4.has(b.J)) {
                            jSONObject3.put(b.J, jSONObject4.getJSONArray(b.J));
                        }
                        if (jSONObject4.has(b.n)) {
                            JSONArray jSONArray = jSONObject4.getJSONArray(b.n);
                            JSONArray jSONArray2 = new JSONArray();
                            for (int i2 = 0; i2 < jSONArray.length(); i2++) {
                                JSONObject jSONObject5 = jSONArray.getJSONObject(i2);
                                if (jSONObject5 != null && jSONObject5.length() > 0) {
                                    if (jSONObject5.has(b.t)) {
                                        jSONObject5.remove(b.t);
                                    }
                                    jSONArray2.put(jSONObject5);
                                }
                            }
                            jSONObject3.put(b.n, jSONArray2);
                        }
                        if (jSONObject4.has(b.D)) {
                            jSONObject3.put(b.D, jSONObject4.getJSONObject(b.D));
                        }
                        if (jSONObject4.has(b.G)) {
                            jSONObject3.put(b.G, jSONObject4.getJSONObject(b.G));
                        }
                    } else {
                        str = "version_code";
                    }
                    if (jSONObject.has("dplus")) {
                        jSONObject3.put("dplus", jSONObject.getJSONObject("dplus"));
                    }
                    if (jSONObject.has("header") && jSONObject.has("header") && (jSONObject2 = jSONObject.getJSONObject("header")) != null && jSONObject2.length() > 0) {
                        if (jSONObject2.has("sdk_version")) {
                            jSONObject3.put("sdk_version", jSONObject2.getString("sdk_version"));
                        }
                        if (jSONObject2.has("device_id")) {
                            jSONObject3.put("device_id", jSONObject2.getString("device_id"));
                        }
                        if (jSONObject2.has("device_model")) {
                            jSONObject3.put("device_model", jSONObject2.getString("device_model"));
                        }
                        if (jSONObject2.has(str)) {
                            jSONObject3.put("version", jSONObject2.getInt(str));
                        }
                        if (jSONObject2.has("appkey")) {
                            jSONObject3.put("appkey", jSONObject2.getString("appkey"));
                        }
                        if (jSONObject2.has("channel")) {
                            jSONObject3.put("channel", jSONObject2.getString("channel"));
                        }
                    }
                    if (jSONObject3.length() > 0) {
                        MLog.d("constructMessage:" + jSONObject3.toString());
                        UMRTLog.i(UMRTLog.RTLOG_TAG, "constructMessage: " + jSONObject3.toString());
                    }
                }
            } catch (Throwable th) {
                MLog.e(th);
            }
        }
    }

    public void a(Object obj) {
        if (obj != null) {
            try {
                JSONObject jSONObject = (JSONObject) obj;
                if (jSONObject.length() <= 0) {
                    return;
                }
                if (!jSONObject.has(b.ao)) {
                    c(jSONObject);
                } else if (101 != jSONObject.getInt(b.ao)) {
                    c(jSONObject);
                }
            } catch (Throwable unused) {
            }
        }
    }

    private void c(JSONObject jSONObject) {
        JSONObject optJSONObject;
        try {
            if (jSONObject.getJSONObject("header").has(b.an)) {
                if (jSONObject.has(b.W)) {
                    jSONObject = jSONObject.getJSONObject(b.W);
                }
                if (jSONObject.has("analytics")) {
                    JSONObject jSONObject2 = jSONObject.getJSONObject("analytics");
                    if (jSONObject2.has(b.n)) {
                        JSONObject jSONObject3 = jSONObject2.getJSONArray(b.n).getJSONObject(0);
                        if (jSONObject3 != null) {
                            g.a(a).a(true, jSONObject3.getString("id"));
                        }
                    } else {
                        g.a(a).g();
                    }
                } else if (jSONObject.has("dplus")) {
                    JSONObject jSONObject4 = jSONObject.getJSONObject("dplus");
                    if (jSONObject4.has(b.Y)) {
                        g.a(a).b(0);
                    }
                    if (jSONObject4.has(b.ac)) {
                        g.a(a).b(4);
                    }
                    if (jSONObject4.has(b.ah)) {
                        g.a(a).b(1);
                    }
                }
                g.a(a).a();
                return;
            }
            if (jSONObject.has(b.W)) {
                jSONObject = jSONObject.getJSONObject(b.W);
            }
            if (jSONObject.has("analytics") && (optJSONObject = jSONObject.optJSONObject("analytics")) != null && optJSONObject.length() > 0) {
                if (optJSONObject.has(b.n)) {
                    g.a(a).a(true, false);
                }
                if (optJSONObject.has(b.N) || optJSONObject.has(b.O)) {
                    g.a(a).d();
                }
                if (optJSONObject.has(b.J)) {
                    g.a(a).e();
                }
            }
            if (jSONObject.has("dplus")) {
                g.a(a).f();
            }
            g.a(a).a();
        } catch (Exception unused) {
        }
    }

    public void b(Object obj) {
        Iterator<String> keys;
        z = true;
        b(a);
        a();
        c(false);
        if (AnalyticsConfig.FLAG_DPLUS) {
            JSONObject jSONObject = (JSONObject) obj;
            if (jSONObject == null) {
                jSONObject = new JSONObject();
            }
            JSONObject h2 = com.umeng.analytics.b.a().h(a);
            if (!(h2 == null || h2.length() <= 0 || (keys = h2.keys()) == null)) {
                while (keys.hasNext()) {
                    try {
                        String obj2 = keys.next().toString();
                        if (!Arrays.asList(b.au).contains(obj2)) {
                            jSONObject.put(obj2, h2.get(obj2));
                        }
                    } catch (Exception unused) {
                    }
                }
            }
            a(jSONObject, 2, false);
        }
    }

    public void b(Context context) {
        try {
            g.a(context).b();
            n();
        } catch (Throwable unused) {
        }
    }

    public void b() {
        z = true;
        c(false);
    }

    public void c(Object obj) {
        Iterator<String> keys;
        o();
        A = true;
        h();
        i();
        j();
        k();
        a(true);
        if (AnalyticsConfig.FLAG_DPLUS) {
            JSONObject jSONObject = (JSONObject) obj;
            if (jSONObject == null) {
                jSONObject = new JSONObject();
            }
            JSONObject h2 = com.umeng.analytics.b.a().h(a);
            if (!(h2 == null || h2.length() <= 0 || (keys = h2.keys()) == null)) {
                while (keys.hasNext()) {
                    try {
                        String obj2 = keys.next().toString();
                        if (!Arrays.asList(b.au).contains(obj2)) {
                            jSONObject.put(obj2, h2.get(obj2));
                        }
                    } catch (Exception unused) {
                    }
                }
            }
            a(jSONObject, 2, false);
        }
    }

    private void n() {
        if (this.l.length() > 0) {
            JSONArray jSONArray = new JSONArray();
            for (int i2 = 0; i2 < this.l.length(); i2++) {
                try {
                    JSONObject jSONObject = this.l.getJSONObject(i2);
                    if (jSONObject == null || jSONObject.length() <= 0) {
                        jSONArray.put(jSONObject);
                    } else {
                        String optString = jSONObject.optString("__i");
                        boolean isEmpty = TextUtils.isEmpty(optString);
                        String str = y;
                        if (isEmpty || str.equals(optString)) {
                            String c2 = p.a().c();
                            if (!TextUtils.isEmpty(c2)) {
                                str = c2;
                            }
                            jSONObject.put("__i", str);
                        }
                        jSONArray.put(jSONObject);
                    }
                } catch (Throwable unused) {
                }
            }
            this.l = jSONArray;
        }
    }

    private void o() {
        Context context;
        SharedPreferences sharedPreferences;
        try {
            if (p() && (context = a) != null && (sharedPreferences = PreferenceWrapper.getDefault(context)) != null && sharedPreferences.getLong(q, 0) == 0) {
                sharedPreferences.edit().putLong(q, System.currentTimeMillis()).commit();
            }
        } catch (Throwable unused) {
        }
    }

    public long c() {
        SharedPreferences sharedPreferences;
        try {
            Context context = a;
            if (context == null || (sharedPreferences = PreferenceWrapper.getDefault(context)) == null) {
                return 0;
            }
            long j2 = sharedPreferences.getLong(q, 0);
            if (j2 == 0) {
                try {
                    long currentTimeMillis = System.currentTimeMillis();
                    sharedPreferences.edit().putLong(q, currentTimeMillis).commit();
                    return currentTimeMillis;
                } catch (Throwable unused) {
                }
            }
            return j2;
        } catch (Throwable unused2) {
            return 0;
        }
    }

    private boolean p() {
        SharedPreferences sharedPreferences;
        try {
            Context context = a;
            return (context == null || (sharedPreferences = PreferenceWrapper.getDefault(context)) == null || sharedPreferences.getLong(r, -1) == 0) ? false : true;
        } catch (Throwable unused) {
            return false;
        }
    }

    private void q() {
        try {
            b(a);
            a();
            String[] a2 = com.umeng.analytics.c.a(a);
            if (a2 != null && !TextUtils.isEmpty(a2[0]) && !TextUtils.isEmpty(a2[1])) {
                boolean a3 = p.a().a(a, System.currentTimeMillis());
                com.umeng.analytics.c.b(a);
                if (a3) {
                    p.a().b(a, System.currentTimeMillis());
                }
            }
        } catch (Throwable th) {
            if (MLog.DEBUG) {
                MLog.e(" Excepthon  in  onProfileSignOff", th);
            }
        }
    }

    private void e(Object obj) {
        try {
            b(a);
            a();
            JSONObject jSONObject = (JSONObject) obj;
            if (jSONObject == null) {
                return;
            }
            if (jSONObject.length() > 0) {
                String string = jSONObject.getString(b.H);
                String string2 = jSONObject.getString("uid");
                String[] a2 = com.umeng.analytics.c.a(a);
                if (a2 == null || !string.equals(a2[0]) || !string2.equals(a2[1])) {
                    boolean a3 = p.a().a(a, System.currentTimeMillis());
                    com.umeng.analytics.c.a(a, string, string2);
                    if (a3) {
                        p.a().b(a, System.currentTimeMillis());
                    }
                }
            }
        } catch (Throwable unused) {
        }
    }

    private void f(Object obj) {
        try {
            JSONObject jSONObject = (JSONObject) obj;
            if (jSONObject != null && jSONObject.length() > 0 && jSONObject.has("__ii")) {
                String optString = jSONObject.optString("__ii");
                jSONObject.remove("__ii");
                if (!TextUtils.isEmpty(optString)) {
                    g.a(a).a(optString, obj.toString(), 2);
                }
            }
        } catch (Throwable unused) {
        }
    }

    public void d() {
        JSONArray jSONArray;
        try {
            String c2 = p.a().c();
            if (!TextUtils.isEmpty(c2)) {
                SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(a);
                String string = sharedPreferences.getString(B, "");
                if (TextUtils.isEmpty(string)) {
                    jSONArray = new JSONArray();
                } else {
                    jSONArray = new JSONArray(string);
                }
                if (jSONArray.length() > 0) {
                    for (int i2 = 0; i2 < jSONArray.length(); i2++) {
                        JSONObject jSONObject = jSONArray.getJSONObject(i2);
                        if (jSONObject != null && jSONObject.length() > 0) {
                            int i3 = jSONObject.getInt(C);
                            if (i3 == 0) {
                                jSONObject.put("_$!ts", System.currentTimeMillis());
                            } else if (i3 == 1) {
                                jSONObject.put("_$!ts", System.currentTimeMillis());
                            }
                            jSONObject.put("__ii", c2);
                            jSONObject.remove(C);
                            g.a(a).a(jSONObject, i3);
                        }
                    }
                    sharedPreferences.edit().remove(B).commit();
                    if (UMEnvelopeBuild.isReadyBuild(a, UMLogDataProtocol.UMBusinessType.U_DPLUS)) {
                        c(true);
                    }
                }
            }
        } catch (Throwable unused) {
        }
    }

    public void a(JSONObject jSONObject) {
        JSONObject d2;
        try {
            if (UMEnvelopeBuild.isReadyBuild(a, UMLogDataProtocol.UMBusinessType.U_DPLUS) && jSONObject != null && (d2 = d(true)) != null && d2.length() > 0) {
                JSONObject jSONObject2 = new JSONObject();
                JSONArray jSONArray = new JSONArray();
                jSONArray.put(jSONObject);
                JSONObject jSONObject3 = new JSONObject();
                jSONObject3.put(b.ac, jSONArray);
                jSONObject2.put("dplus", jSONObject3);
                Context context = a;
                if (context != null && d2 != null) {
                    UMEnvelopeBuild.buildEnvelopeWithExtHeader(context, d2, jSONObject2);
                }
            }
        } catch (Throwable unused) {
        }
    }
}
