package com.umeng.commonsdk.proguard;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.nio.ByteBuffer;
import java.util.BitSet;
import java.util.Collections;
import java.util.EnumMap;
import java.util.EnumSet;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/* compiled from: UMEnvelope */
public class h implements l<h, e>, Serializable, Cloneable {
    private static final int A = 2;
    private static final int B = 3;
    public static final Map<e, x> k;
    private static final long l = 420342210744516016L;
    private static final ap m = new ap("UMEnvelope");
    private static final af n = new af("version", (byte) 11, 1);
    private static final af o = new af("address", (byte) 11, 2);
    private static final af p = new af("signature", (byte) 11, 3);
    private static final af q = new af("serial_num", (byte) 8, 4);
    private static final af r = new af("ts_secs", (byte) 8, 5);
    private static final af s = new af("length", (byte) 8, 6);
    private static final af t = new af("entity", (byte) 11, 7);
    private static final af u = new af("guid", (byte) 11, 8);
    private static final af v = new af("checksum", (byte) 11, 9);
    private static final af w = new af("codex", (byte) 8, 10);
    private static final Map<Class<? extends as>, at> x;
    private static final int y = 0;
    private static final int z = 1;
    private byte C;
    private e[] D;
    public String a;
    public String b;
    public String c;
    public int d;
    public int e;
    public int f;
    public ByteBuffer g;
    public String h;
    public String i;
    public int j;

    static {
        HashMap hashMap = new HashMap();
        x = hashMap;
        hashMap.put(au.class, new b());
        hashMap.put(av.class, new d());
        EnumMap enumMap = new EnumMap(e.class);
        enumMap.put((Object) e.VERSION, (Object) new x("version", (byte) 1, new y((byte) 11)));
        enumMap.put((Object) e.ADDRESS, (Object) new x("address", (byte) 1, new y((byte) 11)));
        enumMap.put((Object) e.SIGNATURE, (Object) new x("signature", (byte) 1, new y((byte) 11)));
        enumMap.put((Object) e.SERIAL_NUM, (Object) new x("serial_num", (byte) 1, new y((byte) 8)));
        enumMap.put((Object) e.TS_SECS, (Object) new x("ts_secs", (byte) 1, new y((byte) 8)));
        enumMap.put((Object) e.LENGTH, (Object) new x("length", (byte) 1, new y((byte) 8)));
        enumMap.put((Object) e.ENTITY, (Object) new x("entity", (byte) 1, new y((byte) 11, true)));
        enumMap.put((Object) e.GUID, (Object) new x("guid", (byte) 1, new y((byte) 11)));
        enumMap.put((Object) e.CHECKSUM, (Object) new x("checksum", (byte) 1, new y((byte) 11)));
        enumMap.put((Object) e.CODEX, (Object) new x("codex", (byte) 2, new y((byte) 8)));
        Map<e, x> unmodifiableMap = Collections.unmodifiableMap(enumMap);
        k = unmodifiableMap;
        x.a(h.class, unmodifiableMap);
    }

    /* compiled from: UMEnvelope */
    public enum e implements s {
        VERSION(1, "version"),
        ADDRESS(2, "address"),
        SIGNATURE(3, "signature"),
        SERIAL_NUM(4, "serial_num"),
        TS_SECS(5, "ts_secs"),
        LENGTH(6, "length"),
        ENTITY(7, "entity"),
        GUID(8, "guid"),
        CHECKSUM(9, "checksum"),
        CODEX(10, "codex");
        
        private static final Map<String, e> k = new HashMap();
        private final short l;
        private final String m;

        static {
            Iterator it = EnumSet.allOf(e.class).iterator();
            while (it.hasNext()) {
                e eVar = (e) it.next();
                k.put(eVar.b(), eVar);
            }
        }

        public static e a(int i) {
            switch (i) {
                case 1:
                    return VERSION;
                case 2:
                    return ADDRESS;
                case 3:
                    return SIGNATURE;
                case 4:
                    return SERIAL_NUM;
                case 5:
                    return TS_SECS;
                case 6:
                    return LENGTH;
                case 7:
                    return ENTITY;
                case 8:
                    return GUID;
                case 9:
                    return CHECKSUM;
                case 10:
                    return CODEX;
                default:
                    return null;
            }
        }

        public static e b(int i) {
            e a = a(i);
            if (a != null) {
                return a;
            }
            throw new IllegalArgumentException("Field " + i + " doesn't exist!");
        }

        public static e a(String str) {
            return k.get(str);
        }

        private e(short s, String str) {
            this.l = s;
            this.m = str;
        }

        @Override // com.umeng.commonsdk.proguard.s
        public short a() {
            return this.l;
        }

        @Override // com.umeng.commonsdk.proguard.s
        public String b() {
            return this.m;
        }
    }

    public h() {
        this.C = 0;
        this.D = new e[]{e.CODEX};
    }

    public h(String str, String str2, String str3, int i2, int i3, int i4, ByteBuffer byteBuffer, String str4, String str5) {
        this();
        this.a = str;
        this.b = str2;
        this.c = str3;
        this.d = i2;
        d(true);
        this.e = i3;
        e(true);
        this.f = i4;
        f(true);
        this.g = byteBuffer;
        this.h = str4;
        this.i = str5;
    }

    public h(h hVar) {
        this.C = 0;
        this.D = new e[]{e.CODEX};
        this.C = hVar.C;
        if (hVar.d()) {
            this.a = hVar.a;
        }
        if (hVar.g()) {
            this.b = hVar.b;
        }
        if (hVar.j()) {
            this.c = hVar.c;
        }
        this.d = hVar.d;
        this.e = hVar.e;
        this.f = hVar.f;
        if (hVar.w()) {
            this.g = m.d(hVar.g);
        }
        if (hVar.z()) {
            this.h = hVar.h;
        }
        if (hVar.C()) {
            this.i = hVar.i;
        }
        this.j = hVar.j;
    }

    /* renamed from: a */
    public h deepCopy() {
        return new h(this);
    }

    @Override // com.umeng.commonsdk.proguard.l
    public void clear() {
        this.a = null;
        this.b = null;
        this.c = null;
        d(false);
        this.d = 0;
        e(false);
        this.e = 0;
        f(false);
        this.f = 0;
        this.g = null;
        this.h = null;
        this.i = null;
        j(false);
        this.j = 0;
    }

    public String b() {
        return this.a;
    }

    public h a(String str) {
        this.a = str;
        return this;
    }

    public void c() {
        this.a = null;
    }

    public boolean d() {
        return this.a != null;
    }

    public void a(boolean z2) {
        if (!z2) {
            this.a = null;
        }
    }

    public String e() {
        return this.b;
    }

    public h b(String str) {
        this.b = str;
        return this;
    }

    public void f() {
        this.b = null;
    }

    public boolean g() {
        return this.b != null;
    }

    public void b(boolean z2) {
        if (!z2) {
            this.b = null;
        }
    }

    public String h() {
        return this.c;
    }

    public h c(String str) {
        this.c = str;
        return this;
    }

    public void i() {
        this.c = null;
    }

    public boolean j() {
        return this.c != null;
    }

    public void c(boolean z2) {
        if (!z2) {
            this.c = null;
        }
    }

    public int k() {
        return this.d;
    }

    public h a(int i2) {
        this.d = i2;
        d(true);
        return this;
    }

    public void l() {
        this.C = i.b(this.C, 0);
    }

    public boolean m() {
        return i.a(this.C, 0);
    }

    public void d(boolean z2) {
        this.C = i.a(this.C, 0, z2);
    }

    public int n() {
        return this.e;
    }

    public h b(int i2) {
        this.e = i2;
        e(true);
        return this;
    }

    public void o() {
        this.C = i.b(this.C, 1);
    }

    public boolean p() {
        return i.a(this.C, 1);
    }

    public void e(boolean z2) {
        this.C = i.a(this.C, 1, z2);
    }

    public int q() {
        return this.f;
    }

    public h c(int i2) {
        this.f = i2;
        f(true);
        return this;
    }

    public void r() {
        this.C = i.b(this.C, 2);
    }

    public boolean s() {
        return i.a(this.C, 2);
    }

    public void f(boolean z2) {
        this.C = i.a(this.C, 2, z2);
    }

    public byte[] t() {
        a(m.c(this.g));
        ByteBuffer byteBuffer = this.g;
        if (byteBuffer == null) {
            return null;
        }
        return byteBuffer.array();
    }

    public ByteBuffer u() {
        return this.g;
    }

    public h a(byte[] bArr) {
        a(bArr == null ? null : ByteBuffer.wrap(bArr));
        return this;
    }

    public h a(ByteBuffer byteBuffer) {
        this.g = byteBuffer;
        return this;
    }

    public void v() {
        this.g = null;
    }

    public boolean w() {
        return this.g != null;
    }

    public void g(boolean z2) {
        if (!z2) {
            this.g = null;
        }
    }

    public String x() {
        return this.h;
    }

    public h d(String str) {
        this.h = str;
        return this;
    }

    public void y() {
        this.h = null;
    }

    public boolean z() {
        return this.h != null;
    }

    public void h(boolean z2) {
        if (!z2) {
            this.h = null;
        }
    }

    public String A() {
        return this.i;
    }

    public h e(String str) {
        this.i = str;
        return this;
    }

    public void B() {
        this.i = null;
    }

    public boolean C() {
        return this.i != null;
    }

    public void i(boolean z2) {
        if (!z2) {
            this.i = null;
        }
    }

    public int D() {
        return this.j;
    }

    public h d(int i2) {
        this.j = i2;
        j(true);
        return this;
    }

    public void E() {
        this.C = i.b(this.C, 3);
    }

    public boolean F() {
        return i.a(this.C, 3);
    }

    public void j(boolean z2) {
        this.C = i.a(this.C, 3, z2);
    }

    /* renamed from: e */
    public e fieldForId(int i2) {
        return e.a(i2);
    }

    @Override // com.umeng.commonsdk.proguard.l
    public void read(ak akVar) throws r {
        x.get(akVar.D()).b().b(akVar, this);
    }

    @Override // com.umeng.commonsdk.proguard.l
    public void write(ak akVar) throws r {
        x.get(akVar.D()).b().a(akVar, this);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("UMEnvelope(");
        sb.append("version:");
        String str = this.a;
        if (str == null) {
            sb.append("null");
        } else {
            sb.append(str);
        }
        sb.append(", ");
        sb.append("address:");
        String str2 = this.b;
        if (str2 == null) {
            sb.append("null");
        } else {
            sb.append(str2);
        }
        sb.append(", ");
        sb.append("signature:");
        String str3 = this.c;
        if (str3 == null) {
            sb.append("null");
        } else {
            sb.append(str3);
        }
        sb.append(", ");
        sb.append("serial_num:");
        sb.append(this.d);
        sb.append(", ");
        sb.append("ts_secs:");
        sb.append(this.e);
        sb.append(", ");
        sb.append("length:");
        sb.append(this.f);
        sb.append(", ");
        sb.append("entity:");
        ByteBuffer byteBuffer = this.g;
        if (byteBuffer == null) {
            sb.append("null");
        } else {
            m.a(byteBuffer, sb);
        }
        sb.append(", ");
        sb.append("guid:");
        String str4 = this.h;
        if (str4 == null) {
            sb.append("null");
        } else {
            sb.append(str4);
        }
        sb.append(", ");
        sb.append("checksum:");
        String str5 = this.i;
        if (str5 == null) {
            sb.append("null");
        } else {
            sb.append(str5);
        }
        if (F()) {
            sb.append(", ");
            sb.append("codex:");
            sb.append(this.j);
        }
        sb.append(")");
        return sb.toString();
    }

    public void G() throws r {
        if (this.a == null) {
            throw new al("Required field 'version' was not present! Struct: " + toString());
        } else if (this.b == null) {
            throw new al("Required field 'address' was not present! Struct: " + toString());
        } else if (this.c == null) {
            throw new al("Required field 'signature' was not present! Struct: " + toString());
        } else if (this.g == null) {
            throw new al("Required field 'entity' was not present! Struct: " + toString());
        } else if (this.h == null) {
            throw new al("Required field 'guid' was not present! Struct: " + toString());
        } else if (this.i == null) {
            throw new al("Required field 'checksum' was not present! Struct: " + toString());
        }
    }

    private void a(ObjectOutputStream objectOutputStream) throws IOException {
        try {
            write(new ae(new aw(objectOutputStream)));
        } catch (r e2) {
            throw new IOException(e2.getMessage());
        }
    }

    private void a(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        try {
            this.C = 0;
            read(new ae(new aw(objectInputStream)));
        } catch (r e2) {
            throw new IOException(e2.getMessage());
        }
    }

    /* compiled from: UMEnvelope */
    private static class b implements at {
        private b() {
        }

        /* renamed from: a */
        public a b() {
            return new a();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: UMEnvelope */
    public static class a extends au<h> {
        private a() {
        }

        /* renamed from: a */
        public void b(ak akVar, h hVar) throws r {
            akVar.j();
            while (true) {
                af l = akVar.l();
                if (l.b == 0) {
                    akVar.k();
                    if (!hVar.m()) {
                        throw new al("Required field 'serial_num' was not found in serialized data! Struct: " + toString());
                    } else if (!hVar.p()) {
                        throw new al("Required field 'ts_secs' was not found in serialized data! Struct: " + toString());
                    } else if (hVar.s()) {
                        hVar.G();
                        return;
                    } else {
                        throw new al("Required field 'length' was not found in serialized data! Struct: " + toString());
                    }
                } else {
                    switch (l.c) {
                        case 1:
                            if (l.b != 11) {
                                an.a(akVar, l.b);
                                break;
                            } else {
                                hVar.a = akVar.z();
                                hVar.a(true);
                                break;
                            }
                        case 2:
                            if (l.b != 11) {
                                an.a(akVar, l.b);
                                break;
                            } else {
                                hVar.b = akVar.z();
                                hVar.b(true);
                                break;
                            }
                        case 3:
                            if (l.b != 11) {
                                an.a(akVar, l.b);
                                break;
                            } else {
                                hVar.c = akVar.z();
                                hVar.c(true);
                                break;
                            }
                        case 4:
                            if (l.b != 8) {
                                an.a(akVar, l.b);
                                break;
                            } else {
                                hVar.d = akVar.w();
                                hVar.d(true);
                                break;
                            }
                        case 5:
                            if (l.b != 8) {
                                an.a(akVar, l.b);
                                break;
                            } else {
                                hVar.e = akVar.w();
                                hVar.e(true);
                                break;
                            }
                        case 6:
                            if (l.b != 8) {
                                an.a(akVar, l.b);
                                break;
                            } else {
                                hVar.f = akVar.w();
                                hVar.f(true);
                                break;
                            }
                        case 7:
                            if (l.b != 11) {
                                an.a(akVar, l.b);
                                break;
                            } else {
                                hVar.g = akVar.A();
                                hVar.g(true);
                                break;
                            }
                        case 8:
                            if (l.b != 11) {
                                an.a(akVar, l.b);
                                break;
                            } else {
                                hVar.h = akVar.z();
                                hVar.h(true);
                                break;
                            }
                        case 9:
                            if (l.b != 11) {
                                an.a(akVar, l.b);
                                break;
                            } else {
                                hVar.i = akVar.z();
                                hVar.i(true);
                                break;
                            }
                        case 10:
                            if (l.b != 8) {
                                an.a(akVar, l.b);
                                break;
                            } else {
                                hVar.j = akVar.w();
                                hVar.j(true);
                                break;
                            }
                        default:
                            an.a(akVar, l.b);
                            break;
                    }
                    akVar.m();
                }
            }
        }

        /* renamed from: b */
        public void a(ak akVar, h hVar) throws r {
            hVar.G();
            akVar.a(h.m);
            if (hVar.a != null) {
                akVar.a(h.n);
                akVar.a(hVar.a);
                akVar.c();
            }
            if (hVar.b != null) {
                akVar.a(h.o);
                akVar.a(hVar.b);
                akVar.c();
            }
            if (hVar.c != null) {
                akVar.a(h.p);
                akVar.a(hVar.c);
                akVar.c();
            }
            akVar.a(h.q);
            akVar.a(hVar.d);
            akVar.c();
            akVar.a(h.r);
            akVar.a(hVar.e);
            akVar.c();
            akVar.a(h.s);
            akVar.a(hVar.f);
            akVar.c();
            if (hVar.g != null) {
                akVar.a(h.t);
                akVar.a(hVar.g);
                akVar.c();
            }
            if (hVar.h != null) {
                akVar.a(h.u);
                akVar.a(hVar.h);
                akVar.c();
            }
            if (hVar.i != null) {
                akVar.a(h.v);
                akVar.a(hVar.i);
                akVar.c();
            }
            if (hVar.F()) {
                akVar.a(h.w);
                akVar.a(hVar.j);
                akVar.c();
            }
            akVar.d();
            akVar.b();
        }
    }

    /* compiled from: UMEnvelope */
    private static class d implements at {
        private d() {
        }

        /* renamed from: a */
        public c b() {
            return new c();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: UMEnvelope */
    public static class c extends av<h> {
        private c() {
        }

        public void a(ak akVar, h hVar) throws r {
            aq aqVar = (aq) akVar;
            aqVar.a(hVar.a);
            aqVar.a(hVar.b);
            aqVar.a(hVar.c);
            aqVar.a(hVar.d);
            aqVar.a(hVar.e);
            aqVar.a(hVar.f);
            aqVar.a(hVar.g);
            aqVar.a(hVar.h);
            aqVar.a(hVar.i);
            BitSet bitSet = new BitSet();
            if (hVar.F()) {
                bitSet.set(0);
            }
            aqVar.a(bitSet, 1);
            if (hVar.F()) {
                aqVar.a(hVar.j);
            }
        }

        public void b(ak akVar, h hVar) throws r {
            aq aqVar = (aq) akVar;
            hVar.a = aqVar.z();
            hVar.a(true);
            hVar.b = aqVar.z();
            hVar.b(true);
            hVar.c = aqVar.z();
            hVar.c(true);
            hVar.d = aqVar.w();
            hVar.d(true);
            hVar.e = aqVar.w();
            hVar.e(true);
            hVar.f = aqVar.w();
            hVar.f(true);
            hVar.g = aqVar.A();
            hVar.g(true);
            hVar.h = aqVar.z();
            hVar.h(true);
            hVar.i = aqVar.z();
            hVar.i(true);
            if (aqVar.b(1).get(0)) {
                hVar.j = aqVar.w();
                hVar.j(true);
            }
        }
    }
}
