package in.jiazheng.app.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.databinding.Bindable;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ViewDataBinding;
import androidx.recyclerview.widget.RecyclerView;
import com.weideapp.yufeng.R;

public abstract class ActivityScoreDetailBinding extends ViewDataBinding {
    public final RecyclerView commonRv;
    public final ImageView ivBg;
    public final ImageView ivEmpty;
    public final ImageView leftBack;
    @Bindable
    protected View.OnClickListener mOnClickListener;
    public final RelativeLayout rl1;
    public final TextView tv1;
    public final TextView tv2;
    public final TextView tv3;

    public abstract void setOnClickListener(View.OnClickListener onClickListener);

    protected ActivityScoreDetailBinding(Object obj, View view, int i, RecyclerView recyclerView, ImageView imageView, ImageView imageView2, ImageView imageView3, RelativeLayout relativeLayout, TextView textView, TextView textView2, TextView textView3) {
        super(obj, view, i);
        this.commonRv = recyclerView;
        this.ivBg = imageView;
        this.ivEmpty = imageView2;
        this.leftBack = imageView3;
        this.rl1 = relativeLayout;
        this.tv1 = textView;
        this.tv2 = textView2;
        this.tv3 = textView3;
    }

    public View.OnClickListener getOnClickListener() {
        return this.mOnClickListener;
    }

    public static ActivityScoreDetailBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        return inflate(layoutInflater, viewGroup, z, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ActivityScoreDetailBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z, Object obj) {
        return (ActivityScoreDetailBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.activity_score_detail, viewGroup, z, obj);
    }

    public static ActivityScoreDetailBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ActivityScoreDetailBinding inflate(LayoutInflater layoutInflater, Object obj) {
        return (ActivityScoreDetailBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.activity_score_detail, null, false, obj);
    }

    public static ActivityScoreDetailBinding bind(View view) {
        return bind(view, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ActivityScoreDetailBinding bind(View view, Object obj) {
        return (ActivityScoreDetailBinding) bind(obj, view, R.layout.activity_score_detail);
    }
}
