package in.jiazheng.app.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.databinding.Bindable;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ViewDataBinding;
import androidx.recyclerview.widget.RecyclerView;
import com.weideapp.yufeng.R;

public abstract class FragmentMallBinding extends ViewDataBinding {
    public final RecyclerView commonRv;
    public final ImageView ivBg;
    public final LinearLayout lin1;
    public final LinearLayout linDuihuan;
    public final LinearLayout linJifen;
    @Bindable
    protected View.OnClickListener mOnClickListener;
    public final RelativeLayout rl1;
    public final TextView tvJifen;

    public abstract void setOnClickListener(View.OnClickListener onClickListener);

    protected FragmentMallBinding(Object obj, View view, int i, RecyclerView recyclerView, ImageView imageView, LinearLayout linearLayout, LinearLayout linearLayout2, LinearLayout linearLayout3, RelativeLayout relativeLayout, TextView textView) {
        super(obj, view, i);
        this.commonRv = recyclerView;
        this.ivBg = imageView;
        this.lin1 = linearLayout;
        this.linDuihuan = linearLayout2;
        this.linJifen = linearLayout3;
        this.rl1 = relativeLayout;
        this.tvJifen = textView;
    }

    public View.OnClickListener getOnClickListener() {
        return this.mOnClickListener;
    }

    public static FragmentMallBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        return inflate(layoutInflater, viewGroup, z, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static FragmentMallBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z, Object obj) {
        return (FragmentMallBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.fragment_mall, viewGroup, z, obj);
    }

    public static FragmentMallBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static FragmentMallBinding inflate(LayoutInflater layoutInflater, Object obj) {
        return (FragmentMallBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.fragment_mall, null, false, obj);
    }

    public static FragmentMallBinding bind(View view) {
        return bind(view, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static FragmentMallBinding bind(View view, Object obj) {
        return (FragmentMallBinding) bind(obj, view, R.layout.fragment_mall);
    }
}
