package in.jiazheng.app.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.databinding.Bindable;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ViewDataBinding;
import com.jiazheng.app.entity.MallEntity;
import com.weideapp.yufeng.R;

public abstract class ItemMallBinding extends ViewDataBinding {
    public final Button btnDuihuan;
    public final ImageView ivCover;
    @Bindable
    protected MallEntity mItem;
    public final TextView tvCount;
    public final TextView tvGet;
    public final TextView tvGoodsName;
    public final TextView tvScore;

    public abstract void setItem(MallEntity mallEntity);

    protected ItemMallBinding(Object obj, View view, int i, Button button, ImageView imageView, TextView textView, TextView textView2, TextView textView3, TextView textView4) {
        super(obj, view, i);
        this.btnDuihuan = button;
        this.ivCover = imageView;
        this.tvCount = textView;
        this.tvGet = textView2;
        this.tvGoodsName = textView3;
        this.tvScore = textView4;
    }

    public MallEntity getItem() {
        return this.mItem;
    }

    public static ItemMallBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        return inflate(layoutInflater, viewGroup, z, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ItemMallBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z, Object obj) {
        return (ItemMallBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.item_mall, viewGroup, z, obj);
    }

    public static ItemMallBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ItemMallBinding inflate(LayoutInflater layoutInflater, Object obj) {
        return (ItemMallBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.item_mall, null, false, obj);
    }

    public static ItemMallBinding bind(View view) {
        return bind(view, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ItemMallBinding bind(View view, Object obj) {
        return (ItemMallBinding) bind(obj, view, R.layout.item_mall);
    }
}
