package in.jiazheng.app.databinding;

import android.util.SparseIntArray;
import android.view.View;
import android.widget.TextView;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.databinding.DataBindingComponent;
import androidx.databinding.ViewDataBinding;
import androidx.databinding.adapters.TextViewBindingAdapter;
import com.jiazheng.app.dao.OrderInfo;
import com.weideapp.yufeng.R;

public class ItemOrderBindingImpl extends ItemOrderBinding {
    private static final ViewDataBinding.IncludedLayouts sIncludes = null;
    private static final SparseIntArray sViewsWithIds;
    private long mDirtyFlags;
    private final ConstraintLayout mboundView0;

    /* access modifiers changed from: protected */
    @Override // androidx.databinding.ViewDataBinding
    public boolean onFieldChange(int i, Object obj, int i2) {
        return false;
    }

    static {
        SparseIntArray sparseIntArray = new SparseIntArray();
        sViewsWithIds = sparseIntArray;
        sparseIntArray.put(R.id.line1, 7);
        sparseIntArray.put(R.id.tvNumber, 8);
        sparseIntArray.put(R.id.tvSignTime, 9);
        sparseIntArray.put(R.id.tvGetLocation, 10);
        sparseIntArray.put(R.id.tvCreate, 11);
        sparseIntArray.put(R.id.line2, 12);
    }

    public ItemOrderBindingImpl(DataBindingComponent dataBindingComponent, View view) {
        this(dataBindingComponent, view, mapBindings(dataBindingComponent, view, 13, sIncludes, sViewsWithIds));
    }

    private ItemOrderBindingImpl(DataBindingComponent dataBindingComponent, View view, Object[] objArr) {
        super(dataBindingComponent, view, 0, (View) objArr[7], (View) objArr[12], (TextView) objArr[11], (TextView) objArr[6], (TextView) objArr[5], (TextView) objArr[10], (TextView) objArr[8], (TextView) objArr[3], (TextView) objArr[9], (TextView) objArr[4], (TextView) objArr[2], (TextView) objArr[1]);
        this.mDirtyFlags = -1;
        ConstraintLayout constraintLayout = (ConstraintLayout) objArr[0];
        this.mboundView0 = constraintLayout;
        constraintLayout.setTag(null);
        this.tvCreateTime.setTag(null);
        this.tvGetInfo2.setTag(null);
        this.tvNumber2.setTag(null);
        this.tvSignTime2.setTag(null);
        this.tvStatus.setTag(null);
        this.tvType.setTag(null);
        setRootTag(view);
        invalidateAll();
    }

    @Override // androidx.databinding.ViewDataBinding
    public void invalidateAll() {
        synchronized (this) {
            this.mDirtyFlags = 2;
        }
        requestRebind();
    }

    @Override // androidx.databinding.ViewDataBinding
    public boolean hasPendingBindings() {
        synchronized (this) {
            if (this.mDirtyFlags != 0) {
                return true;
            }
            return false;
        }
    }

    @Override // androidx.databinding.ViewDataBinding
    public boolean setVariable(int i, Object obj) {
        if (1 != i) {
            return false;
        }
        setItem((OrderInfo) obj);
        return true;
    }

    @Override // in.jiazheng.app.databinding.ItemOrderBinding
    public void setItem(OrderInfo orderInfo) {
        this.mItem = orderInfo;
        synchronized (this) {
            this.mDirtyFlags |= 1;
        }
        notifyPropertyChanged(1);
        super.requestRebind();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.databinding.ViewDataBinding
    public void executeBindings() {
        long j;
        String str;
        String str2;
        String str3;
        String str4;
        String str5;
        synchronized (this) {
            j = this.mDirtyFlags;
            this.mDirtyFlags = 0;
        }
        OrderInfo orderInfo = this.mItem;
        String str6 = null;
        int i = ((j & 3) > 0 ? 1 : ((j & 3) == 0 ? 0 : -1));
        if (i == 0 || orderInfo == null) {
            str5 = null;
            str4 = null;
            str3 = null;
            str2 = null;
            str = null;
        } else {
            str6 = orderInfo.getQTime();
            str5 = orderInfo.getOrderId();
            str4 = orderInfo.getSTime();
            str3 = orderInfo.getAddress();
            str2 = orderInfo.getOrderStatus();
            str = orderInfo.getRecycleType();
        }
        if (i != 0) {
            TextViewBindingAdapter.setText(this.tvCreateTime, str6);
            TextViewBindingAdapter.setText(this.tvGetInfo2, str3);
            TextViewBindingAdapter.setText(this.tvNumber2, str5);
            TextViewBindingAdapter.setText(this.tvSignTime2, str4);
            TextViewBindingAdapter.setText(this.tvStatus, str2);
            TextViewBindingAdapter.setText(this.tvType, str);
        }
    }
}
