package in.jiazheng.app.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.databinding.Bindable;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ViewDataBinding;
import com.jiazheng.app.dao.ScoreInfo;
import com.weideapp.yufeng.R;

public abstract class ItemScoreBinding extends ViewDataBinding {
    @Bindable
    protected ScoreInfo mItem;
    public final TextView tvDes;
    public final TextView tvScore;
    public final TextView tvTime;

    public abstract void setItem(ScoreInfo scoreInfo);

    protected ItemScoreBinding(Object obj, View view, int i, TextView textView, TextView textView2, TextView textView3) {
        super(obj, view, i);
        this.tvDes = textView;
        this.tvScore = textView2;
        this.tvTime = textView3;
    }

    public ScoreInfo getItem() {
        return this.mItem;
    }

    public static ItemScoreBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        return inflate(layoutInflater, viewGroup, z, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ItemScoreBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z, Object obj) {
        return (ItemScoreBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.item_score, viewGroup, z, obj);
    }

    public static ItemScoreBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ItemScoreBinding inflate(LayoutInflater layoutInflater, Object obj) {
        return (ItemScoreBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.item_score, null, false, obj);
    }

    public static ItemScoreBinding bind(View view) {
        return bind(view, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ItemScoreBinding bind(View view, Object obj) {
        return (ItemScoreBinding) bind(obj, view, R.layout.item_score);
    }
}
