package cn.leancloud.core;

import java.io.IOException;
import okhttp3.Interceptor;
import okhttp3.Response;

public class ErrorInterceptor implements Interceptor {
    private void throwError(Response response, int i) throws IOException {
    }

    @Override // okhttp3.Interceptor
    public Response intercept(Interceptor.Chain chain) throws IOException {
        Response proceed = chain.proceed(chain.request());
        int code = proceed.code();
        if (code >= 300) {
            throwError(proceed, code);
        }
        return proceed;
    }
}
