package com.jiazheng.app.ui.activity;

import android.content.Intent;
import android.view.View;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.ui.base.BaseActivity;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivityOrderFinishBinding;

public class OrderFinishActivity extends BaseActivity<NormalViewModel, ActivityOrderFinishBinding> implements View.OnClickListener {
    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_order_finish;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
        ((ActivityOrderFinishBinding) this.dataBinding).setOnClickListener(this);
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.leftBack) {
            finish();
        } else if (id == R.id.btnLook) {
            Intent intent = new Intent(this, MainActivity.class);
            intent.putExtra("openType", 1);
            startActivity(intent);
            finish();
        } else if (id == R.id.btnMain) {
            finish();
        }
    }
}
