package com.jiazheng.app.ui.activity;

import android.content.Intent;
import android.view.View;
import android.view.ViewGroup;
import androidx.appcompat.app.AlertDialog;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.ui.base.BaseActivity;
import com.jiazheng.app.utils.PreferenceUtil;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ActivitySettingBinding;

public class SettingActivity extends BaseActivity<NormalViewModel, ActivitySettingBinding> implements View.OnClickListener {
    private AlertDialog dialog;

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public int getContentViewId() {
        return R.layout.activity_setting;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void processLogic() {
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseActivity
    public void setListener() {
        ((ActivitySettingBinding) this.dataBinding).setOnClickListener(this);
    }

    public void onClick(View view) {
        if (view.getId() == R.id.leftBack) {
            finish();
        } else if (view.getId() == R.id.btnSetting) {
            showAlertDialog();
        }
    }

    private void showAlertDialog() {
        View inflate = getLayoutInflater().inflate(R.layout.dialog_logout, (ViewGroup) null);
        inflate.findViewById(R.id.btnCancel).setOnClickListener(new View.OnClickListener() {
            /* class com.jiazheng.app.ui.activity.$$Lambda$SettingActivity$taFxvrKr7ASZ9OHDo8hDtt351tQ */

            public final void onClick(View view) {
                SettingActivity.this.lambda$showAlertDialog$0$SettingActivity(view);
            }
        });
        inflate.findViewById(R.id.btnConfirm).setOnClickListener(new View.OnClickListener() {
            /* class com.jiazheng.app.ui.activity.$$Lambda$SettingActivity$kGWCToUupsfbCSFyCPnUIURpPAk */

            public final void onClick(View view) {
                SettingActivity.this.lambda$showAlertDialog$1$SettingActivity(view);
            }
        });
        AlertDialog create = new AlertDialog.Builder(this).setView(inflate).create();
        this.dialog = create;
        create.show();
    }

    public /* synthetic */ void lambda$showAlertDialog$0$SettingActivity(View view) {
        this.dialog.dismiss();
    }

    public /* synthetic */ void lambda$showAlertDialog$1$SettingActivity(View view) {
        exitLogin();
        this.dialog.dismiss();
    }

    private void exitLogin() {
        PreferenceUtil.remove("token");
        Intent intent = new Intent(this, LoginActivity.class);
        intent.addFlags(32768);
        startActivity(intent);
    }
}
