package com.jiazheng.app.ui.adapter;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.module.LoadMoreModule;
import com.chad.library.adapter.base.viewholder.BaseDataBindingHolder;
import com.jiazheng.app.entity.MallEntity;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ItemMallBinding;

public class MallAdapter extends BaseQuickAdapter<MallEntity, BaseDataBindingHolder<ItemMallBinding>> implements LoadMoreModule {
    public MallAdapter() {
        super(R.layout.item_mall);
    }

    /* access modifiers changed from: protected */
    public void convert(BaseDataBindingHolder<ItemMallBinding> baseDataBindingHolder, MallEntity mallEntity) {
        ItemMallBinding dataBinding;
        if (mallEntity != null && (dataBinding = baseDataBindingHolder.getDataBinding()) != null) {
            dataBinding.setItem(mallEntity);
            dataBinding.executePendingBindings();
            getItemPosition(mallEntity);
        }
    }
}
