package com.jiazheng.app.ui.adapter;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.module.LoadMoreModule;
import com.chad.library.adapter.base.viewholder.BaseDataBindingHolder;
import com.jiazheng.app.entity.AddressEntity;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.ItemMyAddressBinding;

public class MyAddressAdapter extends BaseQuickAdapter<AddressEntity, BaseDataBindingHolder<ItemMyAddressBinding>> implements LoadMoreModule {
    public MyAddressAdapter() {
        super(R.layout.item_my_address);
    }

    /* access modifiers changed from: protected */
    public void convert(BaseDataBindingHolder<ItemMyAddressBinding> baseDataBindingHolder, AddressEntity addressEntity) {
        ItemMyAddressBinding dataBinding;
        if (addressEntity != null && (dataBinding = baseDataBindingHolder.getDataBinding()) != null) {
            dataBinding.setItem(addressEntity);
            dataBinding.executePendingBindings();
        }
    }
}
