package com.jiazheng.app.ui.fragment;

import android.os.Bundle;
import android.view.View;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.Lifecycle;
import androidx.viewpager2.adapter.FragmentStateAdapter;
import androidx.viewpager2.widget.ViewPager2;
import com.jiazheng.app.base.NormalViewModel;
import com.jiazheng.app.entity.RecycleItemEntity;
import com.jiazheng.app.ui.base.BaseFragment;
import com.weideapp.yufeng.R;
import in.jiazheng.app.databinding.FragmentRecycleBinding;
import java.util.ArrayList;

public class RecycleFragment extends BaseFragment<NormalViewModel, FragmentRecycleBinding> {
    private ArrayList<RecycleItemFragment> mFragments = new ArrayList<>();

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public int getContentViewId() {
        return R.layout.fragment_recycle;
    }

    public static RecycleFragment newInstance() {
        Bundle bundle = new Bundle();
        RecycleFragment recycleFragment = new RecycleFragment();
        recycleFragment.setArguments(bundle);
        return recycleFragment;
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public void setListener() {
        ((FragmentRecycleBinding) this.dataBinding).setOnClickListener(this);
    }

    /* access modifiers changed from: protected */
    @Override // com.jiazheng.app.ui.base.BaseFragment
    public void processLogic(Bundle bundle) {
        ArrayList arrayList = new ArrayList();
        RecycleItemEntity recycleItemEntity = new RecycleItemEntity();
        recycleItemEntity.setCover(R.mipmap.classify_1_1);
        recycleItemEntity.setGoodsName("开荒保洁");
        arrayList.add(recycleItemEntity);
        RecycleItemEntity recycleItemEntity2 = new RecycleItemEntity();
        recycleItemEntity2.setCover(R.mipmap.classify_1_2);
        recycleItemEntity2.setGoodsName("大扫除新");
        arrayList.add(recycleItemEntity2);
        RecycleItemEntity recycleItemEntity3 = new RecycleItemEntity();
        recycleItemEntity3.setCover(R.mipmap.classify_1_3);
        recycleItemEntity3.setGoodsName("厨房保洁");
        arrayList.add(recycleItemEntity3);
        RecycleItemEntity recycleItemEntity4 = new RecycleItemEntity();
        recycleItemEntity4.setCover(R.mipmap.classify_1_4);
        recycleItemEntity4.setGoodsName("擦玻璃");
        arrayList.add(recycleItemEntity4);
        RecycleItemEntity recycleItemEntity5 = new RecycleItemEntity();
        recycleItemEntity5.setCover(R.mipmap.classify_3_2);
        recycleItemEntity5.setGoodsName("保姆");
        arrayList.add(recycleItemEntity5);
        this.mFragments.add(RecycleItemFragment.newInstance(0, arrayList));
        ArrayList arrayList2 = new ArrayList();
        RecycleItemEntity recycleItemEntity6 = new RecycleItemEntity();
        recycleItemEntity6.setCover(R.mipmap.classify_1_1);
        recycleItemEntity6.setGoodsName("开荒保洁");
        arrayList2.add(recycleItemEntity6);
        RecycleItemEntity recycleItemEntity7 = new RecycleItemEntity();
        recycleItemEntity7.setCover(R.mipmap.classify_1_2);
        recycleItemEntity7.setGoodsName("大扫除新");
        arrayList2.add(recycleItemEntity7);
        RecycleItemEntity recycleItemEntity8 = new RecycleItemEntity();
        recycleItemEntity8.setCover(R.mipmap.classify_1_3);
        recycleItemEntity8.setGoodsName("厨房保洁");
        arrayList2.add(recycleItemEntity8);
        RecycleItemEntity recycleItemEntity9 = new RecycleItemEntity();
        recycleItemEntity9.setCover(R.mipmap.classify_1_4);
        recycleItemEntity9.setGoodsName("擦玻璃");
        arrayList2.add(recycleItemEntity9);
        this.mFragments.add(RecycleItemFragment.newInstance(1, arrayList2));
        ArrayList arrayList3 = new ArrayList();
        RecycleItemEntity recycleItemEntity10 = new RecycleItemEntity();
        recycleItemEntity10.setCover(R.mipmap.classify_2_1);
        recycleItemEntity10.setGoodsName("冰箱清洗");
        arrayList3.add(recycleItemEntity10);
        RecycleItemEntity recycleItemEntity11 = new RecycleItemEntity();
        recycleItemEntity11.setCover(R.mipmap.classify_2_2);
        recycleItemEntity11.setGoodsName("空调清洗");
        arrayList3.add(recycleItemEntity11);
        RecycleItemEntity recycleItemEntity12 = new RecycleItemEntity();
        recycleItemEntity12.setCover(R.mipmap.classify_2_3);
        recycleItemEntity12.setGoodsName("油烟机清洗");
        arrayList3.add(recycleItemEntity12);
        RecycleItemEntity recycleItemEntity13 = new RecycleItemEntity();
        recycleItemEntity13.setCover(R.mipmap.classify_2_4);
        recycleItemEntity13.setGoodsName("家电套餐");
        arrayList3.add(recycleItemEntity13);
        this.mFragments.add(RecycleItemFragment.newInstance(2, arrayList3));
        ArrayList arrayList4 = new ArrayList();
        RecycleItemEntity recycleItemEntity14 = new RecycleItemEntity();
        recycleItemEntity14.setCover(R.mipmap.classify_3_1);
        recycleItemEntity14.setGoodsName("月嫂服务");
        arrayList4.add(recycleItemEntity14);
        RecycleItemEntity recycleItemEntity15 = new RecycleItemEntity();
        recycleItemEntity15.setCover(R.mipmap.classify_3_2);
        recycleItemEntity15.setGoodsName("保姆");
        arrayList4.add(recycleItemEntity15);
        this.mFragments.add(RecycleItemFragment.newInstance(3, arrayList4));
        ((FragmentRecycleBinding) this.dataBinding).mainVp.setOffscreenPageLimit(1);
        ((FragmentRecycleBinding) this.dataBinding).mainVp.setAdapter(new MyPagerAdapter(getChildFragmentManager(), getLifecycle()));
        ((FragmentRecycleBinding) this.dataBinding).mainVp.registerOnPageChangeCallback(new ViewPager2.OnPageChangeCallback() {
            /* class com.jiazheng.app.ui.fragment.RecycleFragment.AnonymousClass1 */

            @Override // androidx.viewpager2.widget.ViewPager2.OnPageChangeCallback
            public void onPageSelected(int i) {
            }
        });
        ((FragmentRecycleBinding) this.dataBinding).mainVp.setCurrentItem(0);
    }

    private class MyPagerAdapter extends FragmentStateAdapter {
        public MyPagerAdapter(FragmentManager fragmentManager, Lifecycle lifecycle) {
            super(fragmentManager, lifecycle);
        }

        @Override // androidx.viewpager2.adapter.FragmentStateAdapter
        public Fragment createFragment(int i) {
            return (Fragment) RecycleFragment.this.mFragments.get(i);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return RecycleFragment.this.mFragments.size();
        }
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.rb1) {
            ((FragmentRecycleBinding) this.dataBinding).mainVp.setCurrentItem(0, false);
        } else if (id == R.id.rb2) {
            ((FragmentRecycleBinding) this.dataBinding).mainVp.setCurrentItem(1, false);
        } else if (id == R.id.rb3) {
            ((FragmentRecycleBinding) this.dataBinding).mainVp.setCurrentItem(2, false);
        } else if (id == R.id.rb4) {
            ((FragmentRecycleBinding) this.dataBinding).mainVp.setCurrentItem(3, false);
        }
    }
}
