package com.jiazheng.app.viewmodel;

import android.app.Application;
import androidx.lifecycle.LiveData;
import com.jiazheng.app.base.BaseViewModel;
import com.jiazheng.app.base.RepositoryImpl;
import com.jiazheng.app.bean.ParamsBuilder;
import com.jiazheng.app.bean.Resource;
import com.jiazheng.app.entity.BannerEntity;
import com.jiazheng.app.entity.MallEntity;
import com.jiazheng.app.entity.OrderEntity;
import com.jiazheng.app.entity.UserInfoEntity;
import java.util.HashMap;
import java.util.List;

public class HomeViewModel extends BaseViewModel<RepositoryImpl> {
    public HomeViewModel(Application application) {
        super(application);
    }

    public LiveData<Resource<List<MallEntity>>> marqueeList(ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).marqueeList(paramsBuilder);
    }

    public LiveData<Resource<String>> saveBasic(HashMap<String, Object> hashMap, ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).saveBasic(hashMap, paramsBuilder);
    }

    public LiveData<Resource<String>> saveWorkinfo(HashMap<String, Object> hashMap, ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).saveWorkinfo(hashMap, paramsBuilder);
    }

    public LiveData<Resource<String>> saveBankinfo(HashMap<String, Object> hashMap, ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).saveBankinfo(hashMap, paramsBuilder);
    }

    public LiveData<Resource<List<BannerEntity>>> bannerList(ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).bannerList(paramsBuilder);
    }

    public LiveData<Resource<UserInfoEntity>> userInfo(ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).userInfo(paramsBuilder);
    }

    public LiveData<Resource<BannerEntity>> razorPay(String str, ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).razorPay(str, paramsBuilder);
    }

    public LiveData<Resource<BannerEntity>> cashfreePay(String str, ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).cashfreePay(str, paramsBuilder);
    }

    public LiveData<Resource<OrderEntity>> productList(ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).productList(paramsBuilder);
    }

    public LiveData<Resource<OrderEntity>> loanList(ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).loanList(paramsBuilder);
    }
}
