package com.jiazheng.app.viewmodel;

import android.app.Application;
import androidx.lifecycle.LiveData;
import com.jiazheng.app.base.BaseViewModel;
import com.jiazheng.app.base.RepositoryImpl;
import com.jiazheng.app.bean.ParamsBuilder;
import com.jiazheng.app.bean.Resource;
import com.jiazheng.app.entity.LoginEntity;
import com.jiazheng.app.entity.WeightEntity;
import java.util.HashMap;

public class LoginRegisterViewModel extends BaseViewModel<RepositoryImpl> {
    public LoginRegisterViewModel(Application application) {
        super(application);
    }

    public LiveData<Resource<String>> fetchSms(String str, ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).fetchSms(str, paramsBuilder);
    }

    public LiveData<Resource<LoginEntity>> accountLogin(HashMap<String, Object> hashMap, ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).accountLogin(hashMap, paramsBuilder);
    }

    public LiveData<Resource<String>> feedback(HashMap<String, Object> hashMap, ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).feedback(hashMap, paramsBuilder);
    }

    public LiveData<Resource<WeightEntity>> fetchSetting(ParamsBuilder paramsBuilder) {
        return ((RepositoryImpl) getRepository()).fetchSetting(paramsBuilder);
    }
}
