package com.umeng.analytics;

import android.app.Activity;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.text.TextUtils;
import com.bumptech.glide.load.Key;
import com.umeng.analytics.MobclickAgent;
import com.umeng.analytics.pro.g;
import com.umeng.analytics.pro.h;
import com.umeng.analytics.pro.i;
import com.umeng.analytics.pro.j;
import com.umeng.analytics.pro.k;
import com.umeng.analytics.pro.n;
import com.umeng.analytics.pro.o;
import com.umeng.analytics.pro.p;
import com.umeng.analytics.pro.q;
import com.umeng.analytics.pro.s;
import com.umeng.commonsdk.UMConfigure;
import com.umeng.commonsdk.debug.UMLog;
import com.umeng.commonsdk.framework.UMWorkDispatch;
import com.umeng.commonsdk.statistics.common.DataHelper;
import com.umeng.commonsdk.statistics.common.HelperUtils;
import com.umeng.commonsdk.statistics.common.MLog;
import com.umeng.commonsdk.statistics.internal.PreferenceWrapper;
import com.umeng.commonsdk.utils.UMUtils;
import java.io.UnsupportedEncodingException;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.microedition.khronos.opengles.GL10;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: InternalAgent */
public class b implements o {
    private static final String g = "sp";
    private static final String h = "prepp";
    private static final int n = 128;
    private static final int o = 256;
    private static List<String> p;
    private static List<String> q;
    private Context a;
    private s b;
    private k c;
    private q d;
    private p e;
    private i f;
    private boolean i;
    private volatile JSONObject j;
    private volatile JSONObject k;
    private volatile JSONObject l;
    private boolean m;

    private b() {
        this.a = null;
        this.c = new k();
        this.d = new q();
        this.e = p.a();
        this.f = null;
        this.i = false;
        this.j = null;
        this.k = null;
        this.l = null;
        this.m = false;
        this.c.a(this);
    }

    /* access modifiers changed from: private */
    /* compiled from: InternalAgent */
    public static class a {
        private static final b a = new b();

        private a() {
        }
    }

    public static b a() {
        return a.a;
    }

    public void a(Context context) {
        if (context != null) {
            try {
                if (this.a == null) {
                    this.a = context.getApplicationContext();
                }
                if (!this.i) {
                    this.i = true;
                    i(this.a);
                }
                if (Build.VERSION.SDK_INT > 13) {
                    synchronized (this) {
                        if (!this.m) {
                            i iVar = new i(context);
                            this.f = iVar;
                            if (iVar.a()) {
                                this.m = true;
                            }
                        }
                    }
                } else {
                    this.m = true;
                }
                if (UMConfigure.isDebugLog()) {
                    UMLog uMLog = UMConfigure.umDebugLog;
                    UMLog.mutlInfo(h.B, 3, "", null, null);
                }
                try {
                    Class<?> cls = Class.forName("com.umeng.commonsdk.statistics.SdkVersion");
                    if (cls != null) {
                        Field field = cls.getField("SDK_VERSION");
                        if (field != null) {
                            String obj = field.get(cls).toString();
                            if (TextUtils.isEmpty(obj)) {
                                MLog.e("请注意匹配正确版本的common组件基础库，详见链接 https://developer.umeng.com/docs/66632/detail/70018?um_channel=sdk");
                            } else if (!Arrays.asList(AnalyticsConfig.UM_COMMON_VERSION_LIMIT).contains(obj)) {
                                MLog.e("您当前集成的common组件基础库的版本是" + obj + "，请注意匹配正确版本的common组件基础库，详见链接 https://developer.umeng.com/docs/66632/detail/70018?um_channel=sdk");
                            }
                        } else {
                            MLog.e("请注意匹配正确版本的common组件基础库，详见链接 https://developer.umeng.com/docs/66632/detail/70018?um_channel=sdk");
                        }
                    } else {
                        MLog.e("请注意匹配正确版本的common组件基础库，详见链接 https://developer.umeng.com/docs/66632/detail/70018?um_channel=sdk");
                    }
                } catch (Exception unused) {
                    MLog.e("请注意匹配正确版本的common组件基础库，详见链接 https://developer.umeng.com/docs/66632/detail/70018?um_channel=sdk");
                } catch (Throwable unused2) {
                }
                if (Build.VERSION.SDK_INT > 13) {
                    Context context2 = this.a;
                    UMWorkDispatch.sendEvent(context2, j.a.t, CoreProtocol.getInstance(context2), Long.valueOf(System.currentTimeMillis()));
                }
            } catch (Throwable unused3) {
            }
        }
    }

    private void i(Context context) {
        if (context == null) {
            MLog.e("unexpected null context in getNativeSuperProperties");
            return;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        SharedPreferences sharedPreferences = PreferenceWrapper.getDefault(context);
        String string = sharedPreferences.getString(g, null);
        if (!TextUtils.isEmpty(string)) {
            try {
                this.j = new JSONObject(string);
                this.k = new JSONObject(string);
                if (this.j == null) {
                    this.j = new JSONObject();
                }
                if (this.k == null) {
                    this.k = new JSONObject();
                }
            } catch (JSONException unused) {
            }
        }
        String string2 = sharedPreferences.getString(h, null);
        if (!TextUtils.isEmpty(string2)) {
            try {
                this.l = new JSONObject(string2);
                if (this.l == null) {
                    this.l = new JSONObject();
                }
            } catch (Throwable unused2) {
            }
        }
    }

    public JSONObject b() {
        return this.k;
    }

    public void c() {
        this.k = null;
    }

    /* access modifiers changed from: package-private */
    public void a(String str) {
        if (!AnalyticsConfig.ACTIVITY_DURATION_OPEN) {
            try {
                this.d.a(str);
            } catch (Throwable unused) {
            }
        }
        if (UMConfigure.isDebugLog() && AnalyticsConfig.ACTIVITY_DURATION_OPEN) {
            String[] strArr = {str};
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.E, 2, "\\|", new String[]{"@"}, strArr, null, null);
        }
    }

    /* access modifiers changed from: package-private */
    public void b(String str) {
        if (!AnalyticsConfig.ACTIVITY_DURATION_OPEN) {
            try {
                this.d.b(str);
            } catch (Throwable unused) {
            }
        }
        if (UMConfigure.isDebugLog() && AnalyticsConfig.ACTIVITY_DURATION_OPEN) {
            String[] strArr = {str};
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.F, 2, "\\|", new String[]{"@"}, strArr, null, null);
        }
    }

    public void a(s sVar) {
        this.b = sVar;
    }

    public void a(Context context, int i2) {
        if (context == null) {
            MLog.e("unexpected null context in setVerticalType");
            return;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
        AnalyticsConfig.a(this.a, i2);
    }

    public List<String> d() {
        return p;
    }

    public List<String> e() {
        return q;
    }

    /* access modifiers changed from: package-private */
    public void b(Context context) {
        if (context == null) {
            MLog.e("unexpected null context in onResume");
            return;
        }
        if (UMConfigure.isDebugLog() && !(context instanceof Activity)) {
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.o, 2, "\\|");
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        try {
            if (!this.i || !this.m) {
                a(context);
            }
            if (AnalyticsConfig.ACTIVITY_DURATION_OPEN) {
                this.d.a(context.getClass().getName());
            }
            f();
            j(this.a);
            if (UMConfigure.isDebugLog() && (context instanceof Activity)) {
                if (p == null) {
                    p = new ArrayList();
                }
                if (!TextUtils.isEmpty(context.getClass().getName())) {
                    p.add(context.getClass().getName());
                }
            }
        } catch (Throwable th) {
            MLog.e("Exception occurred in Mobclick.onResume(). ", th);
        }
    }

    private void j(Context context) {
        try {
            Class.forName("com.umeng.visual.UMVisualAgent");
        } catch (ClassNotFoundException unused) {
            if (Build.VERSION.SDK_INT > 13) {
                UMWorkDispatch.sendEvent(context, j.a.p, CoreProtocol.getInstance(context), Long.valueOf(System.currentTimeMillis()));
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void c(Context context) {
        if (context == null) {
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.p, 0, "\\|");
            MLog.e("unexpected null context in onPause");
            return;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        if (UMConfigure.isDebugLog() && !(context instanceof Activity)) {
            UMLog uMLog2 = UMConfigure.umDebugLog;
            UMLog.aq(h.q, 2, "\\|");
        }
        try {
            if (!this.i || !this.m) {
                a(context);
            }
            if (AnalyticsConfig.ACTIVITY_DURATION_OPEN) {
                this.d.b(context.getClass().getName());
            }
            g();
        } catch (Throwable th) {
            if (MLog.DEBUG) {
                MLog.e("Exception occurred in Mobclick.onRause(). ", th);
            }
        }
        if (UMConfigure.isDebugLog() && (context instanceof Activity)) {
            if (q == null) {
                q = new ArrayList();
            }
            if (!TextUtils.isEmpty(context.getClass().getName())) {
                q.add(context.getClass().getName());
            }
        }
    }

    public void a(Context context, String str, HashMap<String, Object> hashMap) {
        if (context != null) {
            try {
                if (this.a == null) {
                    this.a = context.getApplicationContext();
                }
            } catch (Throwable th) {
                if (MLog.DEBUG) {
                    MLog.e(th);
                    return;
                }
                return;
            }
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
        n.a(this.a).a(str, hashMap);
    }

    /* access modifiers changed from: package-private */
    public void a(Context context, String str) {
        if (TextUtils.isEmpty(str)) {
            if (UMConfigure.isDebugLog()) {
                UMLog uMLog = UMConfigure.umDebugLog;
                UMLog.aq(h.x, 0, "\\|");
            }
        } else if (context == null) {
            MLog.e("unexpected null context in reportError");
            UMLog uMLog2 = UMConfigure.umDebugLog;
            UMLog.aq(h.w, 0, "\\|");
        } else {
            if (this.a == null) {
                this.a = context.getApplicationContext();
            }
            try {
                if (!this.i || !this.m) {
                    a(this.a);
                }
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("ts", System.currentTimeMillis());
                jSONObject.put(com.umeng.analytics.pro.b.L, 2);
                jSONObject.put(com.umeng.analytics.pro.b.M, str);
                jSONObject.put("__ii", this.e.d());
                Context context2 = this.a;
                UMWorkDispatch.sendEvent(context2, j.a.j, CoreProtocol.getInstance(context2), jSONObject);
            } catch (Throwable th) {
                if (MLog.DEBUG) {
                    MLog.e(th);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(Context context, Throwable th) {
        if (context == null || th == null) {
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.y, 0, "\\|");
            return;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        try {
            if (!this.i || !this.m) {
                a(this.a);
            }
            a(this.a, DataHelper.convertExceptionToString(th));
        } catch (Exception e2) {
            if (MLog.DEBUG) {
                MLog.e(e2);
            }
        }
    }

    public void f() {
        try {
            Context context = this.a;
            if (context != null) {
                UMWorkDispatch.sendEvent(context, j.a.g, CoreProtocol.getInstance(context), Long.valueOf(System.currentTimeMillis()));
            }
            s sVar = this.b;
            if (sVar != null) {
                sVar.a();
            }
        } catch (Throwable unused) {
        }
    }

    public void g() {
        try {
            Context context = this.a;
            if (context != null) {
                UMWorkDispatch.sendEvent(context, j.a.h, CoreProtocol.getInstance(context), Long.valueOf(System.currentTimeMillis()));
                Context context2 = this.a;
                UMWorkDispatch.sendEvent(context2, j.a.d, CoreProtocol.getInstance(context2), null);
                Context context3 = this.a;
                UMWorkDispatch.sendEvent(context3, 4099, CoreProtocol.getInstance(context3), null);
                Context context4 = this.a;
                UMWorkDispatch.sendEvent(context4, j.a.i, CoreProtocol.getInstance(context4), null);
            }
        } catch (Throwable unused) {
        }
        s sVar = this.b;
        if (sVar != null) {
            sVar.b();
        }
    }

    public void a(Context context, String str, String str2, long j2, int i2) {
        if (context != null) {
            try {
                if (this.a == null) {
                    this.a = context.getApplicationContext();
                }
            } catch (Throwable th) {
                if (MLog.DEBUG) {
                    MLog.e(th);
                    return;
                }
                return;
            }
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
        n.a(this.a).a(str, str2, j2, i2);
    }

    public void b(Context context, String str) {
        if (context == null) {
            try {
                UMLog uMLog = UMConfigure.umDebugLog;
                UMLog.aq(h.N, 0, "\\|");
            } catch (Throwable th) {
                if (MLog.DEBUG) {
                    MLog.e(th);
                }
            }
        } else {
            if (this.a == null) {
                this.a = context.getApplicationContext();
            }
            if (!this.i || !this.m) {
                a(this.a);
            }
            if (!TextUtils.isEmpty(str)) {
                HashMap hashMap = new HashMap();
                hashMap.put(com.umeng.analytics.pro.b.aq, str);
                b(this.a, com.umeng.analytics.pro.b.ap, hashMap, -1);
                return;
            }
            UMLog uMLog2 = UMConfigure.umDebugLog;
            UMLog.aq(h.O, 0, "\\|");
            if (MLog.DEBUG) {
                MLog.e("please check your link!");
            }
        }
    }

    private void b(Context context, String str, Map<String, Object> map, long j2) {
        if (context != null) {
            try {
                if (this.a == null) {
                    this.a = context.getApplicationContext();
                }
                if (!this.i || !this.m) {
                    a(this.a);
                }
                n.a(this.a).a(str, map, j2);
            } catch (Throwable th) {
                if (MLog.DEBUG) {
                    MLog.e(th);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(Context context, String str, Map<String, Object> map, long j2) {
        try {
            if (TextUtils.isEmpty(str)) {
                MLog.e("Event id is empty, please check.");
                UMLog uMLog = UMConfigure.umDebugLog;
                UMLog.aq(h.c, 0, "\\|");
            } else if (Arrays.asList(com.umeng.analytics.pro.b.ar).contains(str)) {
                MLog.e("Event id uses reserved keywords, please use other event name. ");
                UMLog uMLog2 = UMConfigure.umDebugLog;
                UMLog.aq(h.b, 0, "\\|");
            } else if (map.isEmpty()) {
                MLog.e("Map is empty, please check.");
                UMLog uMLog3 = UMConfigure.umDebugLog;
                UMLog.aq(h.d, 0, "\\|");
            } else {
                for (Map.Entry<String, Object> entry : map.entrySet()) {
                    if (Arrays.asList(com.umeng.analytics.pro.b.ar).contains(entry.getKey())) {
                        MLog.e("Map key uses reserved keywords[_$!link], please use other key.");
                        UMLog uMLog4 = UMConfigure.umDebugLog;
                        UMLog.aq(h.e, 0, "\\|");
                        return;
                    }
                }
                b(context, str, map, j2);
            }
        } catch (Throwable th) {
            if (MLog.DEBUG) {
                MLog.e(th);
            }
        }
    }

    public void a(Context context, String str, Map<String, Object> map) {
        if (context != null) {
            try {
                if (this.a == null) {
                    this.a = context.getApplicationContext();
                }
            } catch (Throwable unused) {
                return;
            }
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
        if (TextUtils.isEmpty(str)) {
            MLog.e("the eventName is empty! please check~");
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.ad, 0, "\\|");
            return;
        }
        String str2 = "";
        if (this.j == null) {
            this.j = new JSONObject();
        } else {
            str2 = this.j.toString();
        }
        Context context2 = this.a;
        UMWorkDispatch.sendEvent(context2, 8194, CoreProtocol.getInstance(context2), new j.d(str, map, str2, System.currentTimeMillis()));
    }

    /* access modifiers changed from: package-private */
    public void d(Context context) {
        try {
            if (this.a == null && context != null) {
                this.a = context.getApplicationContext();
            }
            i iVar = this.f;
            if (iVar != null) {
                iVar.c();
            }
            q qVar = this.d;
            if (qVar != null) {
                qVar.a();
            }
            Context context2 = this.a;
            if (context2 != null) {
                p pVar = this.e;
                if (pVar != null) {
                    pVar.b(context2, Long.valueOf(System.currentTimeMillis()));
                }
                j.a(this.a).a();
                q.a(this.a);
                i.a(this.a);
                PreferenceWrapper.getDefault(this.a).edit().commit();
            }
            UMWorkDispatch.Quit();
        } catch (Throwable unused) {
        }
    }

    @Override // com.umeng.analytics.pro.o
    public void a(Throwable th) {
        try {
            q qVar = this.d;
            if (qVar != null) {
                qVar.a();
            }
            i iVar = this.f;
            if (iVar != null) {
                iVar.c();
            }
            Context context = this.a;
            if (context != null) {
                p pVar = this.e;
                if (pVar != null) {
                    pVar.b(context, Long.valueOf(System.currentTimeMillis()));
                }
                if (th != null) {
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put("ts", System.currentTimeMillis());
                    jSONObject.put(com.umeng.analytics.pro.b.L, 1);
                    jSONObject.put(com.umeng.analytics.pro.b.M, DataHelper.convertExceptionToString(th));
                    g.a(this.a).a(this.e.d(), jSONObject.toString(), 1);
                }
                j.a(this.a).a();
                q.a(this.a);
                i.a(this.a);
                PreferenceWrapper.getDefault(this.a).edit().commit();
            }
            UMWorkDispatch.Quit();
        } catch (Exception e2) {
            if (MLog.DEBUG) {
                MLog.e("Exception in onAppCrash", e2);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(String str, String str2) {
        try {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put(com.umeng.analytics.pro.b.H, str);
            jSONObject.put("uid", str2);
            Context context = this.a;
            UMWorkDispatch.sendEvent(context, j.a.e, CoreProtocol.getInstance(context), jSONObject);
        } catch (Throwable th) {
            if (MLog.DEBUG) {
                MLog.e(" Excepthon  in  onProfileSignIn", th);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void h() {
        Context context = this.a;
        UMWorkDispatch.sendEvent(context, j.a.f, CoreProtocol.getInstance(context), null);
    }

    /* access modifiers changed from: package-private */
    public void a(boolean z) {
        AnalyticsConfig.CATCH_EXCEPTION = z;
    }

    /* access modifiers changed from: package-private */
    public void a(GL10 gl10) {
        String[] gpu = UMUtils.getGPU(gl10);
        if (gpu.length == 2) {
            AnalyticsConfig.GPU_VENDER = gpu[0];
            AnalyticsConfig.GPU_RENDERER = gpu[1];
        }
    }

    /* access modifiers changed from: package-private */
    public void b(boolean z) {
        AnalyticsConfig.ACTIVITY_DURATION_OPEN = z;
    }

    /* access modifiers changed from: package-private */
    public void a(double d2, double d3) {
        if (AnalyticsConfig.a == null) {
            AnalyticsConfig.a = new double[2];
        }
        AnalyticsConfig.a[0] = d2;
        AnalyticsConfig.a[1] = d3;
    }

    /* access modifiers changed from: package-private */
    public void a(Context context, MobclickAgent.EScenarioType eScenarioType) {
        if (context == null) {
            MLog.e("unexpected null context in setScenarioType");
            return;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        if (eScenarioType != null) {
            int value = eScenarioType.toValue();
            if (value == MobclickAgent.EScenarioType.E_DUM_NORMAL.toValue()) {
                AnalyticsConfig.FLAG_DPLUS = true;
            } else if (value == MobclickAgent.EScenarioType.E_DUM_GAME.toValue()) {
                AnalyticsConfig.FLAG_DPLUS = true;
            } else {
                AnalyticsConfig.FLAG_DPLUS = false;
            }
            a(this.a, value);
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
    }

    /* access modifiers changed from: package-private */
    public void c(Context context, String str) {
        if (context == null) {
            MLog.e("unexpected null context in setSecret");
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.z, 0, "\\|");
            return;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
        AnalyticsConfig.a(this.a, str);
    }

    /* access modifiers changed from: package-private */
    public void a(long j2) {
        AnalyticsConfig.kContinueSessionMillis = j2;
    }

    public synchronized void a(Context context, String str, Object obj) {
        if (context == null) {
            try {
                MLog.e("unexpected null context in registerSuperProperty");
                UMLog uMLog = UMConfigure.umDebugLog;
                UMLog.aq(h.af, 0, "\\|");
                return;
            } catch (Throwable th) {
                th.printStackTrace();
            }
        } else {
            if (this.a == null) {
                this.a = context.getApplicationContext();
            }
            if (!this.i || !this.m) {
                a(this.a);
            }
            if (TextUtils.isEmpty(str) || obj == null) {
                MLog.e("please check key or value, must not NULL!");
                UMLog uMLog2 = UMConfigure.umDebugLog;
                UMLog.aq(h.ag, 0, "\\|");
                return;
            }
            String subStr = HelperUtils.subStr(str, 128);
            if (!Arrays.asList(com.umeng.analytics.pro.b.at).contains(subStr)) {
                if (obj instanceof String) {
                    obj = HelperUtils.subStr(obj.toString(), 256);
                }
                a(subStr, obj);
                Context context2 = this.a;
                UMWorkDispatch.sendEvent(context2, j.a.m, CoreProtocol.getInstance(context2), this.j.toString());
            } else {
                MLog.e("SuperProperty  key is invalid.  ");
            }
            return;
        }
    }

    private void a(String str, Object obj) {
        try {
            if (this.j == null) {
                this.j = new JSONObject();
            }
            new JSONObject();
            int i2 = 0;
            if (obj.getClass().isArray()) {
                if (obj instanceof String[]) {
                    String[] strArr = (String[]) obj;
                    JSONArray jSONArray = new JSONArray();
                    while (i2 < strArr.length) {
                        jSONArray.put(strArr[i2]);
                        i2++;
                    }
                    this.j.put(str, jSONArray);
                } else if (obj instanceof long[]) {
                    long[] jArr = (long[]) obj;
                    JSONArray jSONArray2 = new JSONArray();
                    while (i2 < jArr.length) {
                        jSONArray2.put(jArr[i2]);
                        i2++;
                    }
                    this.j.put(str, jSONArray2);
                } else if (obj instanceof int[]) {
                    int[] iArr = (int[]) obj;
                    JSONArray jSONArray3 = new JSONArray();
                    while (i2 < iArr.length) {
                        jSONArray3.put(iArr[i2]);
                        i2++;
                    }
                    this.j.put(str, jSONArray3);
                } else if (obj instanceof float[]) {
                    float[] fArr = (float[]) obj;
                    JSONArray jSONArray4 = new JSONArray();
                    while (i2 < fArr.length) {
                        jSONArray4.put((double) fArr[i2]);
                        i2++;
                    }
                    this.j.put(str, jSONArray4);
                } else if (obj instanceof double[]) {
                    double[] dArr = (double[]) obj;
                    JSONArray jSONArray5 = new JSONArray();
                    while (i2 < dArr.length) {
                        jSONArray5.put(dArr[i2]);
                        i2++;
                    }
                    this.j.put(str, jSONArray5);
                } else if (obj instanceof short[]) {
                    short[] sArr = (short[]) obj;
                    JSONArray jSONArray6 = new JSONArray();
                    while (i2 < sArr.length) {
                        jSONArray6.put((int) sArr[i2]);
                        i2++;
                    }
                    this.j.put(str, jSONArray6);
                }
            } else if (obj instanceof List) {
                List list = (List) obj;
                JSONArray jSONArray7 = new JSONArray();
                while (i2 < list.size()) {
                    Object obj2 = list.get(i2);
                    if ((obj2 instanceof String) || (obj2 instanceof Long) || (obj2 instanceof Integer) || (obj2 instanceof Float) || (obj2 instanceof Double) || (obj2 instanceof Short)) {
                        jSONArray7.put(list.get(i2));
                    }
                    i2++;
                }
                this.j.put(str, jSONArray7);
            } else if ((obj instanceof String) || (obj instanceof Long) || (obj instanceof Integer) || (obj instanceof Float) || (obj instanceof Double) || (obj instanceof Short)) {
                this.j.put(str, obj);
            }
        } catch (Throwable unused) {
        }
    }

    public synchronized void a(Object obj) {
        if (obj != null) {
            try {
                Context context = this.a;
                if (context != null) {
                    String str = (String) obj;
                    SharedPreferences.Editor edit = PreferenceWrapper.getDefault(context).edit();
                    if (edit != null && !TextUtils.isEmpty(str)) {
                        edit.putString(g, this.j.toString()).commit();
                    }
                }
            } catch (Throwable unused) {
            }
        }
    }

    public synchronized void d(Context context, String str) {
        if (context == null) {
            try {
                MLog.e("unexpected null context in unregisterSuperProperty");
                UMLog uMLog = UMConfigure.umDebugLog;
                UMLog.aq(h.ah, 0, "\\|");
                return;
            } catch (Throwable th) {
                th.printStackTrace();
            }
        } else {
            if (this.a == null) {
                this.a = context.getApplicationContext();
            }
            if (!this.i || !this.m) {
                a(this.a);
            }
            String subStr = HelperUtils.subStr(str, 128);
            if (this.j == null) {
                this.j = new JSONObject();
            }
            if (this.j.has(subStr)) {
                this.j.remove(subStr);
                Context context2 = this.a;
                UMWorkDispatch.sendEvent(context2, j.a.o, CoreProtocol.getInstance(context2), subStr);
            }
            return;
        }
    }

    public synchronized void i() {
        Context context;
        try {
            if (this.j == null || (context = this.a) == null) {
                this.j = new JSONObject();
            } else {
                SharedPreferences.Editor edit = PreferenceWrapper.getDefault(context).edit();
                edit.putString(g, this.j.toString());
                edit.commit();
            }
        } catch (Throwable unused) {
        }
    }

    public synchronized Object e(Context context, String str) {
        if (context == null) {
            try {
                MLog.e("unexpected null context in getSuperProperty");
                UMLog uMLog = UMConfigure.umDebugLog;
                UMLog.aq(h.ai, 0, "\\|");
                return null;
            } catch (Throwable th) {
                th.printStackTrace();
            }
        } else {
            if (this.a == null) {
                this.a = context.getApplicationContext();
            }
            if (this.j != null) {
                String subStr = HelperUtils.subStr(str, 128);
                if (this.j.has(subStr)) {
                    return this.j.opt(subStr);
                }
            } else {
                this.j = new JSONObject();
            }
            return null;
        }
    }

    public synchronized String e(Context context) {
        if (context == null) {
            try {
                MLog.e("unexpected null context in getSuperProperties");
                UMLog uMLog = UMConfigure.umDebugLog;
                UMLog.aq(h.ai, 0, "\\|");
                return null;
            } catch (Throwable th) {
                th.printStackTrace();
            }
        } else {
            if (this.a == null) {
                this.a = context.getApplicationContext();
            }
            if (this.j != null) {
                return this.j.toString();
            }
            this.j = new JSONObject();
            return null;
        }
    }

    /* JADX WARNING: Exception block dominator not found, dom blocks: [] */
    /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x000c */
    public synchronized JSONObject j() {
        if (this.j == null) {
            this.j = new JSONObject();
        }
        return this.j;
    }

    public synchronized void f(Context context) {
        if (context == null) {
            MLog.e("unexpected null context in clearSuperProperties");
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.ah, 0, "\\|");
            return;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
        this.j = new JSONObject();
        Context context2 = this.a;
        UMWorkDispatch.sendEvent(context2, j.a.n, CoreProtocol.getInstance(context2), null);
    }

    public synchronized void k() {
        try {
            Context context = this.a;
            if (context != null) {
                SharedPreferences.Editor edit = PreferenceWrapper.getDefault(context).edit();
                edit.remove(g);
                edit.commit();
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
        return;
    }

    public synchronized void a(Context context, List<String> list) {
        if (context == null) {
            try {
                MLog.e("unexpected null context in setFirstLaunchEvent");
                UMLog uMLog = UMConfigure.umDebugLog;
                UMLog.aq(h.aj, 0, "\\|");
                return;
            } catch (Throwable th) {
                MLog.e(th);
            }
        } else {
            if (this.a == null) {
                this.a = context.getApplicationContext();
            }
            if (!this.i || !this.m) {
                a(this.a);
            }
            n.a(this.a).a(list);
            return;
        }
    }

    public synchronized void a(Context context, JSONObject jSONObject) {
        if (context == null) {
            MLog.e("unexpected null context in setPreProperties");
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.al, 0, "\\|");
            return;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
        if (this.l == null) {
            this.l = new JSONObject();
        }
        if (UMConfigure.isDebugLog() && jSONObject == null) {
            UMLog uMLog2 = UMConfigure.umDebugLog;
            UMLog.aq(h.am, 0, "\\|");
        }
        Iterator<String> keys = jSONObject.keys();
        if (keys != null) {
            while (keys.hasNext()) {
                try {
                    String obj = keys.next().toString();
                    Object obj2 = jSONObject.get(obj);
                    if (b(obj, obj2)) {
                        this.l.put(obj, obj2);
                    }
                } catch (Exception unused) {
                }
            }
        }
        if (this.l.length() > 0) {
            Context context2 = this.a;
            UMWorkDispatch.sendEvent(context2, j.a.q, CoreProtocol.getInstance(context2), this.l.toString());
        }
    }

    public synchronized void f(Context context, String str) {
        if (context == null) {
            MLog.e("unexpected null context in clearPreProperties(context, " + str + ")");
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.an, 0, "\\|");
            return;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
        if (this.l == null) {
            this.l = new JSONObject();
        }
        if (this.l.has(str)) {
            this.l.remove(str);
            Context context2 = this.a;
            UMWorkDispatch.sendEvent(context2, j.a.r, CoreProtocol.getInstance(context2), this.l.toString());
        } else if (UMConfigure.isDebugLog()) {
            UMLog uMLog2 = UMConfigure.umDebugLog;
            UMLog.aq(h.ao, 0, "\\|");
        }
    }

    public synchronized void g(Context context) {
        if (context == null) {
            MLog.e("unexpected null context in clearPreProperties");
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.ap, 0, "\\|");
            return;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
        if (this.l.length() > 0) {
            Context context2 = this.a;
            UMWorkDispatch.sendEvent(context2, j.a.s, CoreProtocol.getInstance(context2), null);
        }
        this.l = new JSONObject();
    }

    public synchronized JSONObject h(Context context) {
        if (context == null) {
            MLog.e("unexpected null context in clearPreProperties");
            UMLog uMLog = UMConfigure.umDebugLog;
            UMLog.aq(h.aq, 0, "\\|");
            return null;
        }
        if (this.a == null) {
            this.a = context.getApplicationContext();
        }
        if (!this.i || !this.m) {
            a(this.a);
        }
        if (this.l == null) {
            this.l = new JSONObject();
        }
        JSONObject jSONObject = new JSONObject();
        if (this.l.length() > 0) {
            try {
                jSONObject = new JSONObject(this.l.toString());
            } catch (JSONException unused) {
            }
        }
        return jSONObject;
    }

    public synchronized void b(Object obj) {
        try {
            SharedPreferences.Editor edit = PreferenceWrapper.getDefault(this.a).edit();
            if (obj != null) {
                String str = (String) obj;
                if (edit != null && !TextUtils.isEmpty(str)) {
                    edit.putString(h, str).commit();
                }
            } else if (edit != null) {
                edit.remove(h).commit();
            }
        } catch (Throwable unused) {
        }
    }

    private boolean b(String str, Object obj) {
        int i2;
        try {
            if (TextUtils.isEmpty(str)) {
                return false;
            }
            try {
                i2 = str.getBytes(Key.STRING_CHARSET_NAME).length;
            } catch (UnsupportedEncodingException unused) {
                i2 = 0;
            }
            if (i2 > 128 || Arrays.asList(com.umeng.analytics.pro.b.au).contains(str)) {
                return false;
            }
            if (obj instanceof String) {
                if (((String) obj).getBytes(Key.STRING_CHARSET_NAME).length > 256) {
                    return false;
                }
                return true;
            } else if (!(obj instanceof Integer) && !(obj instanceof Long) && !(obj instanceof Double) && !(obj instanceof Float)) {
                return false;
            } else {
                return true;
            }
        } catch (Throwable unused2) {
        }
    }
}
