package com.umeng.analytics.pro;

import android.app.Activity;
import android.app.Application;
import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import com.umeng.analytics.AnalyticsConfig;
import com.umeng.analytics.CoreProtocol;
import com.umeng.analytics.b;
import com.umeng.analytics.pro.c;
import com.umeng.analytics.pro.g;
import com.umeng.analytics.pro.j;
import com.umeng.commonsdk.UMConfigure;
import com.umeng.commonsdk.debug.UMLog;
import com.umeng.commonsdk.framework.UMWorkDispatch;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: AutoViewPageTracker */
public class i {
    public static String a;
    private static JSONArray e = new JSONArray();
    private static Object f = new Object();
    boolean b = false;
    Application.ActivityLifecycleCallbacks c = new Application.ActivityLifecycleCallbacks() {
        /* class com.umeng.analytics.pro.i.AnonymousClass1 */

        public void onActivityCreated(Activity activity, Bundle bundle) {
        }

        public void onActivitySaveInstanceState(Activity activity, Bundle bundle) {
        }

        public void onActivityStarted(Activity activity) {
        }

        public void onActivityStopped(Activity activity) {
            try {
                if (UMConfigure.isDebugLog()) {
                    String name = activity.getClass().getName();
                    List<String> e = b.a().e();
                    if (!TextUtils.isEmpty(name) && e != null) {
                        if (e.contains(name)) {
                            e.remove(name);
                            return;
                        }
                        String[] strArr = {name.substring(0, name.length())};
                        UMLog uMLog = UMConfigure.umDebugLog;
                        UMLog.aq(h.s, 0, "\\|", new String[]{"@"}, strArr, null, null);
                    }
                }
            } catch (Throwable unused) {
            }
        }

        public void onActivityResumed(Activity activity) {
            if (activity == null) {
                return;
            }
            if (i.this.b) {
                i.this.b = false;
                if (!TextUtils.isEmpty(i.a)) {
                    String str = i.a;
                    if (!str.equals(activity.getPackageName() + "." + activity.getLocalClassName())) {
                        i.this.a((i) activity);
                        return;
                    }
                    return;
                }
                i.a = activity.getPackageName() + "." + activity.getLocalClassName();
                return;
            }
            i.this.a((i) activity);
        }

        public void onActivityPaused(Activity activity) {
            i.this.b((i) activity);
            i.this.b = false;
            try {
                if (UMConfigure.isDebugLog()) {
                    String name = activity.getClass().getName();
                    List<String> d = b.a().d();
                    if (!TextUtils.isEmpty(name) && d != null) {
                        if (d.contains(name)) {
                            d.remove(name);
                            return;
                        }
                        String[] strArr = {name.substring(0, name.length())};
                        UMLog uMLog = UMConfigure.umDebugLog;
                        UMLog.aq(h.r, 0, "\\|", new String[]{"@"}, strArr, null, null);
                    }
                }
            } catch (Throwable unused) {
            }
        }

        public void onActivityDestroyed(Activity activity) {
            try {
                if (UMConfigure.isDebugLog()) {
                    String name = activity.getClass().getName();
                    List<String> d = b.a().d();
                    List<String> e = b.a().e();
                    if (!TextUtils.isEmpty(name)) {
                        if (d != null && d.contains(name)) {
                            d.remove(name);
                        }
                        if (e != null && e.contains(name)) {
                            e.remove(name);
                        }
                    }
                }
            } catch (Throwable unused) {
            }
        }
    };
    private final Map<String, Long> d = new HashMap();
    private Application g = null;
    private boolean h = false;

    public boolean a() {
        return this.h;
    }

    public i(Context context) {
        synchronized (this) {
            if (this.g == null && context != null) {
                if (context instanceof Activity) {
                    this.g = ((Activity) context).getApplication();
                } else if (context instanceof Application) {
                    this.g = (Application) context;
                }
                if (this.g != null) {
                    b(context);
                }
            }
        }
    }

    private void b(Context context) {
        if (!this.h) {
            this.h = true;
            Application application = this.g;
            if (application != null) {
                application.registerActivityLifecycleCallbacks(this.c);
            }
            if ((context instanceof Activity) && a == null) {
                this.b = true;
                a((Activity) context);
            }
        }
    }

    public void b() {
        this.h = false;
        Application application = this.g;
        if (application != null) {
            application.unregisterActivityLifecycleCallbacks(this.c);
            this.g = null;
        }
    }

    public void c() {
        b((Activity) null);
        b();
    }

    public static void a(Context context) {
        String jSONArray;
        if (context != null) {
            try {
                JSONObject jSONObject = new JSONObject();
                synchronized (f) {
                    jSONArray = e.toString();
                    e = new JSONArray();
                }
                if (jSONArray.length() > 0) {
                    jSONObject.put(c.e.a.c, new JSONArray(jSONArray));
                    g.a(context).a(p.a().d(), jSONObject, g.a.AUTOPAGE);
                }
            } catch (Throwable unused) {
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(Activity activity) {
        Iterator<String> keys;
        a = activity.getPackageName() + "." + activity.getLocalClassName();
        if (AnalyticsConfig.FLAG_DPLUS) {
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put(b.ai, a);
                jSONObject.put("_$!ts", System.currentTimeMillis());
                JSONObject j = b.a().j();
                if (j.length() > 0) {
                    jSONObject.put(b.ab, j);
                }
                String c2 = p.a().c();
                if (TextUtils.isEmpty(c2)) {
                    c2 = "-1";
                }
                jSONObject.put("__ii", c2);
                if (p.a().b()) {
                    jSONObject.put("__ii", "-1");
                }
                JSONObject h2 = b.a().h(activity.getApplicationContext());
                if (!(h2 == null || h2.length() <= 0 || (keys = h2.keys()) == null)) {
                    while (keys.hasNext()) {
                        try {
                            String obj = keys.next().toString();
                            if (!Arrays.asList(b.au).contains(obj)) {
                                jSONObject.put(obj, h2.get(obj));
                            }
                        } catch (Exception unused) {
                        }
                    }
                }
                UMWorkDispatch.sendEvent(activity.getApplicationContext(), j.a.k, CoreProtocol.getInstance(activity.getApplicationContext()), jSONObject);
            } catch (JSONException unused2) {
            }
        }
        synchronized (this.d) {
            this.d.put(a, Long.valueOf(System.currentTimeMillis()));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Exception block dominator not found, dom blocks: [] */
    /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x006f */
    private void b(Activity activity) {
        long j = 0;
        try {
            synchronized (this.d) {
                if (a == null && activity != null) {
                    a = activity.getPackageName() + "." + activity.getLocalClassName();
                }
                if (!TextUtils.isEmpty(a) && this.d.containsKey(a)) {
                    j = System.currentTimeMillis() - this.d.get(a).longValue();
                    this.d.remove(a);
                }
            }
            synchronized (f) {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put(b.u, a);
                jSONObject.put("duration", j);
                e.put(jSONObject);
            }
        } catch (Throwable unused) {
        }
    }
}
