package com.umeng.commonsdk.framework;

import android.content.Context;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import com.umeng.commonsdk.framework.UMLogDataProtocol;
import com.umeng.commonsdk.proguard.b;
import com.umeng.commonsdk.statistics.common.e;
import java.util.Iterator;
import org.json.JSONObject;

/* compiled from: UMWorkDispatchImpl */
public class d {
    private static HandlerThread a = null;
    private static Handler b = null;
    private static c c = null;
    private static Object d = new Object();
    private static final int e = 768;
    private static final int f = 769;
    private static final int g = 770;

    public static void a(Context context, int i, UMLogDataProtocol uMLogDataProtocol, Object obj) {
        if (context == null || uMLogDataProtocol == null) {
            e.b("--->>> Context or UMLogDataProtocol parameter cannot be null!");
            return;
        }
        UMModuleRegister.registerAppContext(context.getApplicationContext());
        if (UMModuleRegister.registerCallback(i, uMLogDataProtocol)) {
            if (a == null || b == null) {
                e();
            }
            try {
                if (b != null) {
                    if (c == null) {
                        synchronized (d) {
                            b.f(context);
                            c = new c(context, b);
                        }
                    }
                    Message obtainMessage = b.obtainMessage();
                    obtainMessage.what = e;
                    obtainMessage.arg1 = i;
                    obtainMessage.obj = obj;
                    b.sendMessage(obtainMessage);
                }
            } catch (Throwable th) {
                b.a(UMModuleRegister.getAppContext(), th);
            }
        }
    }

    private d() {
    }

    /* access modifiers changed from: private */
    public static void d() {
        e.b("--->>> autoProcess Enter...");
        Context appContext = UMModuleRegister.getAppContext();
        if (appContext != null) {
            long maxDataSpace = UMEnvelopeBuild.maxDataSpace(appContext);
            UMLogDataProtocol callbackFromModuleName = UMModuleRegister.getCallbackFromModuleName("analytics");
            JSONObject jSONObject = null;
            int i = 0;
            try {
                if (!(!UMEnvelopeBuild.isReadyBuild(appContext, UMLogDataProtocol.UMBusinessType.U_DPLUS) || callbackFromModuleName == null || (jSONObject = callbackFromModuleName.setupReportData(maxDataSpace)) == null)) {
                    i = jSONObject.toString().getBytes().length;
                }
                if (jSONObject != null) {
                    JSONObject jSONObject2 = new JSONObject();
                    try {
                        jSONObject2.put("header", new JSONObject());
                        jSONObject2.put(com.umeng.analytics.pro.b.W, new JSONObject());
                    } catch (Throwable th) {
                        b.a(appContext, th);
                    }
                    if (jSONObject != null && i > 0) {
                        jSONObject2 = a(a(jSONObject2, jSONObject.optJSONObject("header"), "header"), jSONObject.optJSONObject(com.umeng.analytics.pro.b.W), com.umeng.analytics.pro.b.W);
                    }
                    if (jSONObject2 != null && UMEnvelopeBuild.buildEnvelopeWithExtHeader(appContext, jSONObject2.optJSONObject("header"), jSONObject2.optJSONObject(com.umeng.analytics.pro.b.W)) != null && jSONObject != null) {
                        callbackFromModuleName.removeCacheData(jSONObject);
                    }
                }
            } catch (Throwable th2) {
                b.a(appContext, th2);
            }
        }
    }

    private static JSONObject a(JSONObject jSONObject, JSONObject jSONObject2, String str) {
        String str2;
        Context appContext = UMModuleRegister.getAppContext();
        if (!(jSONObject == null || jSONObject2 == null)) {
            try {
                if (jSONObject.opt(str) != null && (jSONObject.opt(str) instanceof JSONObject)) {
                    JSONObject jSONObject3 = (JSONObject) jSONObject.opt(str);
                    Iterator<String> keys = jSONObject2.keys();
                    while (keys.hasNext()) {
                        String next = keys.next();
                        if (!(next == null || !(next instanceof String) || (str2 = next) == null || jSONObject2.opt(str2) == null)) {
                            try {
                                jSONObject3.put(str2, jSONObject2.opt(str2));
                            } catch (Exception e2) {
                                b.a(appContext, e2);
                            }
                        }
                    }
                }
            } catch (Throwable th) {
                b.a(appContext, th);
            }
        }
        return jSONObject;
    }

    private static synchronized void e() {
        synchronized (d.class) {
            e.b("--->>> Dispatch: init Enter...");
            try {
                if (a == null) {
                    HandlerThread handlerThread = new HandlerThread("work_thread");
                    a = handlerThread;
                    handlerThread.start();
                    if (b == null) {
                        b = new Handler(a.getLooper()) {
                            /* class com.umeng.commonsdk.framework.d.AnonymousClass1 */

                            public void handleMessage(Message message) {
                                switch (message.what) {
                                    case d.e /*{ENCODED_INT: 768}*/:
                                        d.b(message);
                                        return;
                                    case d.f /*{ENCODED_INT: 769}*/:
                                        d.d();
                                        return;
                                    case d.g /*{ENCODED_INT: 770}*/:
                                        d.g();
                                        return;
                                    default:
                                        return;
                                }
                            }
                        };
                    }
                }
            } catch (Throwable th) {
                b.a(UMModuleRegister.getAppContext(), th);
            }
            e.b("--->>> Dispatch: init Exit...");
        }
    }

    public static synchronized boolean a(int i) {
        synchronized (d.class) {
            Handler handler = b;
            if (handler == null) {
                return false;
            }
            return handler.hasMessages(i);
        }
    }

    /* access modifiers changed from: private */
    public static void b(Message message) {
        int i = message.arg1;
        Object obj = message.obj;
        UMLogDataProtocol callbackFromModuleName = UMModuleRegister.getCallbackFromModuleName(UMModuleRegister.eventType2ModuleName(i));
        if (callbackFromModuleName != null) {
            e.b("--->>> dispatch:handleEvent: call back workEvent with msg type [ 0x" + Integer.toHexString(i) + "]");
            callbackFromModuleName.workEvent(obj, i);
        }
    }

    private static void f() {
        if (a != null) {
            a = null;
        }
        if (b != null) {
            b = null;
        }
        if (c != null) {
            c = null;
        }
    }

    /* access modifiers changed from: private */
    public static void g() {
        if (c != null && a != null) {
            c.a();
            e.b("--->>> handleQuit: Quit dispatch thread.");
            a.quit();
            f();
        }
    }

    public static void a() {
        Handler handler = b;
        if (handler != null) {
            Message obtainMessage = handler.obtainMessage();
            obtainMessage.what = g;
            b.sendMessage(obtainMessage);
        }
    }
}
