package in.jiazheng.app.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import androidx.databinding.Bindable;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ViewDataBinding;
import androidx.recyclerview.widget.RecyclerView;
import com.weideapp.yufeng.R;

public abstract class ActivityMyAddressBinding extends ViewDataBinding {
    public final Button btnAdd;
    public final RecyclerView commonRv;
    public final ImageView leftBack;
    @Bindable
    protected View.OnClickListener mOnClickListener;
    public final RelativeLayout rl1;

    public abstract void setOnClickListener(View.OnClickListener onClickListener);

    protected ActivityMyAddressBinding(Object obj, View view, int i, Button button, RecyclerView recyclerView, ImageView imageView, RelativeLayout relativeLayout) {
        super(obj, view, i);
        this.btnAdd = button;
        this.commonRv = recyclerView;
        this.leftBack = imageView;
        this.rl1 = relativeLayout;
    }

    public View.OnClickListener getOnClickListener() {
        return this.mOnClickListener;
    }

    public static ActivityMyAddressBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        return inflate(layoutInflater, viewGroup, z, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ActivityMyAddressBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z, Object obj) {
        return (ActivityMyAddressBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.activity_my_address, viewGroup, z, obj);
    }

    public static ActivityMyAddressBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ActivityMyAddressBinding inflate(LayoutInflater layoutInflater, Object obj) {
        return (ActivityMyAddressBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.activity_my_address, null, false, obj);
    }

    public static ActivityMyAddressBinding bind(View view) {
        return bind(view, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ActivityMyAddressBinding bind(View view, Object obj) {
        return (ActivityMyAddressBinding) bind(obj, view, R.layout.activity_my_address);
    }
}
