package in.jiazheng.app.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.databinding.Bindable;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ViewDataBinding;
import com.weideapp.yufeng.R;

public abstract class ActivityOrderFinishBinding extends ViewDataBinding {
    public final Button btnLook;
    public final Button btnMain;
    public final ImageView ivDefault;
    public final ImageView leftBack;
    public final View line1;
    @Bindable
    protected View.OnClickListener mOnClickListener;
    public final RelativeLayout rl1;
    public final TextView tv1;

    public abstract void setOnClickListener(View.OnClickListener onClickListener);

    protected ActivityOrderFinishBinding(Object obj, View view, int i, Button button, Button button2, ImageView imageView, ImageView imageView2, View view2, RelativeLayout relativeLayout, TextView textView) {
        super(obj, view, i);
        this.btnLook = button;
        this.btnMain = button2;
        this.ivDefault = imageView;
        this.leftBack = imageView2;
        this.line1 = view2;
        this.rl1 = relativeLayout;
        this.tv1 = textView;
    }

    public View.OnClickListener getOnClickListener() {
        return this.mOnClickListener;
    }

    public static ActivityOrderFinishBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        return inflate(layoutInflater, viewGroup, z, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ActivityOrderFinishBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z, Object obj) {
        return (ActivityOrderFinishBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.activity_order_finish, viewGroup, z, obj);
    }

    public static ActivityOrderFinishBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ActivityOrderFinishBinding inflate(LayoutInflater layoutInflater, Object obj) {
        return (ActivityOrderFinishBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.activity_order_finish, null, false, obj);
    }

    public static ActivityOrderFinishBinding bind(View view) {
        return bind(view, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static ActivityOrderFinishBinding bind(View view, Object obj) {
        return (ActivityOrderFinishBinding) bind(obj, view, R.layout.activity_order_finish);
    }
}
