package in.jiazheng.app.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.RelativeLayout;
import androidx.databinding.Bindable;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ViewDataBinding;
import androidx.viewpager2.widget.ViewPager2;
import com.weideapp.yufeng.R;

public abstract class FragmentRecycleBinding extends ViewDataBinding {
    public final ImageView leftBack;
    @Bindable
    protected View.OnClickListener mOnClickListener;
    public final ViewPager2 mainVp;
    public final RadioButton rb1;
    public final RadioButton rb2;
    public final RadioButton rb3;
    public final RadioButton rb4;
    public final RadioGroup rg;
    public final RelativeLayout rl1;

    public abstract void setOnClickListener(View.OnClickListener onClickListener);

    protected FragmentRecycleBinding(Object obj, View view, int i, ImageView imageView, ViewPager2 viewPager2, RadioButton radioButton, RadioButton radioButton2, RadioButton radioButton3, RadioButton radioButton4, RadioGroup radioGroup, RelativeLayout relativeLayout) {
        super(obj, view, i);
        this.leftBack = imageView;
        this.mainVp = viewPager2;
        this.rb1 = radioButton;
        this.rb2 = radioButton2;
        this.rb3 = radioButton3;
        this.rb4 = radioButton4;
        this.rg = radioGroup;
        this.rl1 = relativeLayout;
    }

    public View.OnClickListener getOnClickListener() {
        return this.mOnClickListener;
    }

    public static FragmentRecycleBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        return inflate(layoutInflater, viewGroup, z, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static FragmentRecycleBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z, Object obj) {
        return (FragmentRecycleBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.fragment_recycle, viewGroup, z, obj);
    }

    public static FragmentRecycleBinding inflate(LayoutInflater layoutInflater) {
        return inflate(layoutInflater, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static FragmentRecycleBinding inflate(LayoutInflater layoutInflater, Object obj) {
        return (FragmentRecycleBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.fragment_recycle, null, false, obj);
    }

    public static FragmentRecycleBinding bind(View view) {
        return bind(view, DataBindingUtil.getDefaultComponent());
    }

    @Deprecated
    public static FragmentRecycleBinding bind(View view, Object obj) {
        return (FragmentRecycleBinding) bind(obj, view, R.layout.fragment_recycle);
    }
}
